%--------------------------------------------------------------------------
% File     : GRP007+0 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Group Theory (Named Semigroups)
% Axioms   : Substitution axioms for semigroup axioms
% Version  : [Goller,1993] axioms.
% English  : 

% Refs     : Goller C. (1993), Anwendung des Theorembeweisers SETHEO auf
%            die Theorie der Halbgruppen und Gruppen, Report FKI-174-93,
%            Technische Universitaet Muenchen, Munich Germany.
% Source   : [Goller,1993]
% Names    : 

% Status   : 
% Syntax   : Number of formulae    :    7 (   0 unit)
%            Number of atoms       :   18 (  10 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   11 (   0 ~  ;   0  |;   4  &)
%                                         (   0 <=>;   7 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 3-3 arity)
%            Number of variables   :   24 (   0 singleton;  24 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(multiply_substitution_1,axiom,
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(multiply(A,C,D),multiply(B,C,D)) )   ).

input_formula(multiply_substitution_2,axiom,
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(multiply(C,A,D),multiply(C,B,D)) )   ).

input_formula(multiply_substitution_3,axiom,
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(multiply(C,D,A),multiply(C,D,B)) )   ).

input_formula(group_member_substitution_1,axiom,
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group_member(A,C) )
     => group_member(B,C) )   ).

input_formula(group_member_substitution_2,axiom,
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group_member(C,A) )
     => group_member(C,B) )   ).

input_formula(left_zero_substitution_1,axiom,
    ! [A,B,C] : 
      ( ( equal(A,B)
        & left_zero(A,C) )
     => left_zero(B,C) )   ).

input_formula(left_zero_substitution_2,axiom,
    ! [A,B,C] : 
      ( ( equal(A,B)
        & left_zero(C,A) )
     => left_zero(C,B) )   ).
%--------------------------------------------------------------------------
