%--------------------------------------------------------------------------
% File     : GRP127-3.SIZE : TPTP v2.0.0. Released v1.2.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : ((b.a).b).b) = a
% Version  : [Slaney, 1993] axioms : Augmented. 
% English  : Generate the multiplication table for the specified quasi-
%            group with SIZE elements.

% Refs     : Bennett F.E. (1989), Quasigroup Identities and Mendelsohn
%            Designs, Canadian Journal of Mathematics 41(2), 341-368.
%          : Fujita M., Slaney J., Bennett F. (1993), Automatic Generation
%            of Some Results in Finite Algebra, Bajcsy R. (Ed), 
%            Proceedings of the 13th International Joint Conference on
%            Artificial Intelligence (Chambery, France, 1993), Morgan
%            Kaufman, San Mateo, USA, 52-57.
%          : Slaney J. (1993), Email to Geoff Sutcliffe.
%          : Slaney J., Fujita M., Stickel M. (1995), Automated Reasoning
%            and Exhaustive Search: Quasigroup Existence Problems,
%            Computers and Mathematics with Applications 29(2), 115-132.
% Source   : [TPTP]
% Names    : 

% Status   : STATUS
% Rating   : ? v2.0.0
% Syntax   : 

% Comments : Slaney's [1993] axiomatization has been modified for this.
%          : Substitution axioms are not needed, as any positive equality
%            literals should resolve on negative ones directly.
%          : This problem is extensively investigated in [Bennett, 1989].
%          : Version 3 has complex isomorphism avoidance (mentioned in
%            [Slaney, et al., 1994]
%--------------------------------------------------------------------------
%----Include basic quasigroup code
:-tptp2X_include('Generators/GRP127-1.g').
%----Include redundancy code
:-tptp2X_include('Generators/GRP123-3.g').
%--------------------------------------------------------------------------
'GRP127-3'(Size,Clauses,Status):-
    integer(Size),
    'GRP127-1'(Size,BasicClauses,Status),
    'GRP123-3_qg_complex_redundancy_clauses'(Size,product,ExtraClauses),
    tptp2X_append(ExtraClauses,BasicClauses,Clauses).
%--------------------------------------------------------------------------
%----Provide information about the GRP127-1 generator
'GRP127-3_file_information'(generator,sizes(X,(X>=1)),sota(3)).
%--------------------------------------------------------------------------
