%--------------------------------------------------------------------------
% File     : SYN007+1.SIZE : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 71
% Version  : Special.
%            Theorem formulation : For N = SIZE.
% English  : Clausal forms of statements of the form :
%            (p1 <-> (p2 <->...(pN <-> (p1 <-> (p2 <->...<-> pN)...)

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Urquhart A. (1987), Hard Examples for Resolution, Journal 
%            of the ACM 34(1), 209-219.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 71 [Pelletier, 1986]

% Status   : STATUS
% Rating   : ? v2.0.0
% Syntax   : 

%            dramatically with embedded biconditionals. On all other 
%            measures of complexity, one should say that the problems 
%            increase linearly in difficulty. Urquhart says that the proof 
%            size of any resolution system increases exponentially with 
%            increase in N.
%          : This problem can also be done in terms of graphs, as described 
%            in Pelletier Problem 74.
%--------------------------------------------------------------------------
%----Complete the inner section
make_equivalence_formula([OneProposition],[],OneProposition):-
    !.

%----Completed the outer section, make inner section
make_equivalence_formula([OneProposition],Propositions,
(OneProposition <=> InnerFormula)):-
    make_equivalence_formula(Propositions,[],InnerFormula).

make_equivalence_formula([FirstProposition|RestOfPropositions],
Propositions,(FirstProposition <=> RestOfFormula)):-
    make_equivalence_formula(RestOfPropositions,Propositions,RestOfFormula).
%--------------------------------------------------------------------------
'SYN007+1'(Size,[input_formula(prove_this,theorem,Formula)],theorem):-
    generate_terms(1,Size,p,Propositions),
    make_equivalence_formula(Propositions,Propositions,Formula).
%--------------------------------------------------------------------------
%----Provide information about the SYN003-1 generator
'SYN007+1_generator_information'(unknown).
%--------------------------------------------------------------------------
'SYN007+1_file_information'(generator,sizes(X,(X>=1)),sota(5)).
%--------------------------------------------------------------------------
