%--------------------------------------------------------------------------
% File     : ALG001-3 : TPTP v2.0.0. Bugfixed v1.0.1.
% Domain   : General Algebra
% Problem  : The composition of homomorphisms is a homomorphism
% Version  : [Quaife, 1992a] axioms.
% English  : 

% Refs     : Quaife A. (1992a), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
%          : Quaife A. (1992b), Automated Development of Fundamental
%            Mathematical Theories, Kluwer Academic Publishers.
% Source   : [Quaife]
% Names    : HO1 [Quaife, 1992a]
%          : HO1 [Quaife, 1992b]

% Status   : unsatisfiable
% Rating   : 0.78 v2.0.0
% Syntax   : Number of clauses    :  190 (   8 non-Horn;  41 unit; 120 RR)
%            Number of literals   :  389 ( 181 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   51 (  17 constant; 0-3 arity)
%            Number of variables  :  437 (  33 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. With a few exceptions 
%            (the problems that correspond to [Bledsoe, et al., 1986] 
%            problems), the TPTP has retained the order in which Quaife 
%            presents the problems. The user may create an augmented 
%            version of this problem by adding all previously proved 
%            theorems (the ones that correspond to [Bledsoe, et al., 1986] 
%            are easily identified and positioned using Quaife's naming 
%            scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_composition_of_homomorphisms_1,conjecture,
    [++homomorphism(xh1,xf1,xf2)]).

input_clause(prove_composition_of_homomorphisms_2,conjecture,
    [++homomorphism(xh2,xf2,xf3)]).

input_clause(prove_composition_of_homomorphisms_3,conjecture,
    [--homomorphism(compose(xh2,xh1),xf1,xf3)]).
%--------------------------------------------------------------------------
