%--------------------------------------------------------------------------
% File     : BOO013-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : The inverse of X is unique
% Version  : [McCharen, et al., 1976] axioms : Augmented.
% English  : 

% Refs     : Whitesitt J.E. (1961), Boolean Algebra and Its Applications, 
%            Addison-Wesley, Chapter 2.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [McCharen, et al., 1976]
% Names    : B9 [McCharen, et al., 1976]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   41 (   0 non-Horn;  16 unit;  26 RR)
%            Number of literals   :   99 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include Boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(sum_to_multiplicative_identity1,conjecture,
    [++sum(x,y,multiplicative_identity)]).

input_clause(sum_to_multiplicative_identity2,conjecture,
    [++sum(x,z,multiplicative_identity)]).

input_clause(product_to_additive_identity1,conjecture,
    [++product(x,y,additive_identity)]).

input_clause(product_to_additive_identity2,conjecture,
    [++product(x,z,additive_identity)]).

input_clause(prove_both_inverse_are_equal,conjecture,
    [--equal(y,z)]).
%--------------------------------------------------------------------------
