%--------------------------------------------------------------------------
% File     : BOO015-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : DeMorgan for inverse and sum (X^-1 + Y^-1) = (X * Y)^-1
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Veroff R. (1992), Email to Geoff Sutcliffe.
% Source   : [Veroff, 1992]
% Names    : DeMorgan's Laws [Veroff, 1992]

% Status   : unsatisfiable
% Rating   : 0.67 v2.0.0
% Syntax   : Number of clauses    :   39 (   0 non-Horn;  14 unit;  24 RR)
%            Number of literals   :   97 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause x_times_y fixed.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(x_times_y,conjecture,
    [++product(x,y,x_times_y)]).

input_clause(x_inverse_plus_y_inverse,conjecture,
    [++sum(inverse(x),inverse(y),x_inverse_plus_y_inverse)]).

input_clause(prove_equation,conjecture,
    [--equal(inverse(x_times_y),x_inverse_plus_y_inverse)]).
%--------------------------------------------------------------------------
