%--------------------------------------------------------------------------
% File     : CAT003-3 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY epimorphism => X epimorphism
% Version  : [Scott, 1979] axioms : Reduced > Complete.
% English  : If xy is an epimorphism, then x is an epimorphism.

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist Logic, 
%            In Fournam M.P. (Ed), Durham Proceedings Applications 
%            of Sheaves, (Lecture Notes in Mathematics Volume 753), 
%            660-696.
% Source   : [ANL]
% Names    : p3.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.56 v2.0.0
% Syntax   : Number of clauses    :   34 (   2 non-Horn;   8 unit;  24 RR)
%            Number of literals   :   71 (  41 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   64 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(epimorphism,hypothesis,
    [--equal(compose(X,compose(a,b)),Y),
     --equal(compose(Z,compose(a,b)),Y),
     ++equal(X,Z)]).

input_clause(assume_h_exists,hypothesis,
    [++there_exists(h)]).

input_clause(ha_equals_ga,hypothesis,
    [++equal(compose(h,a),compose(g,a))]).

input_clause(prove_g_equals_h,conjecture,
    [--equal(g,h)]).
%--------------------------------------------------------------------------
