%--------------------------------------------------------------------------
% File     : CAT004-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y epimorphisms, XY well-defined => XY epimorphism
% Version  : [Quaife, 1989] (equality) axioms.
% English  : If x and y are epimorphisms and xy is well-defined, then 
%            xy is an epimorphism.

% Refs     : Quaife A. (1989), Email to Larry Wos 05/02/89.
% Source   : [ANL]
% Names    : p4.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  10 unit;  14 RR)
%            Number of literals   :   40 (  40 equality)
%            Maximal clause size  :    5 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   33 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
input_clause(epimorphism1,hypothesis,
    [--equal(codomain(a),domain(X)),
     --equal(compose(a,X),Y),
     --equal(codomain(a),domain(Z)),
     --equal(compose(a,Z),Y),
     ++equal(X,Z)]).

input_clause(epimorphism2,hypothesis,
    [--equal(codomain(b),domain(X)),
     --equal(compose(b,X),Y),
     --equal(codomain(b),domain(Z)),
     --equal(compose(b,Z),Y),
     ++equal(X,Z)]).

input_clause(codomain_of_a_equals_domain_of_b,hypothesis,
    [++equal(codomain(a),domain(b))]).

input_clause(codomain_of_ab_equals_domain_of_h,hypothesis,
    [++equal(codomain(compose(a,b)),domain(h))]).

input_clause(codomain_of_ab_equals_domain_of_g,hypothesis,
    [++equal(codomain(compose(a,b)),domain(g))]).

input_clause(ab_h_equals_ab_g,hypothesis,
    [++equal(compose(compose(a,b),h),compose(compose(a,b),g))]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
