%--------------------------------------------------------------------------
% File     : CAT004-4 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y epimorphisms, XY well-defined => XY epimorphism
% Version  : [Scott, 1979] axioms : Reduced > Complete.
% English  : If x and y are epimorphisms and xy is well-defined, then 
%            xy is an epimorphism.

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist Logic, 
%            In Fournam M.P. (Ed), Durham Proceedings Applications 
%            of Sheaves, (Lecture Notes in Mathematics Volume 753), 
%            660-696.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.40 v2.0.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;   8 unit;  21 RR)
%            Number of literals   :   54 (  32 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   49 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
include('Axioms/CAT004-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(cancellation_for_product1,hypothesis,
    [--equal(compose(X,a),Y),
     --equal(compose(Z,a),Y),
     ++equal(X,Z)]).

input_clause(cancellation_for_product2,hypothesis,
    [--equal(compose(X,b),Y),
     --equal(compose(Z,b),Y),
     ++equal(X,Z)]).

input_clause(assume_h_exists,hypothesis,
    [++there_exists(h)]).

input_clause(h_ab_equals_g_ab,hypothesis,
    [++equal(compose(h,compose(a,b)),compose(g,compose(a,b)))]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
