%--------------------------------------------------------------------------
% File     : CAT007-3 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If domain(x) = codomain(y) then xy is defined
% Version  : [Scott, 1979] axioms : Reduced > Complete.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Scott D. (1979), Identity & Existence in Intuitionist Logic, 
%            In Fournam M.P. (Ed), Durham Proceedings Applications 
%            of Sheaves, (Lecture Notes in Mathematics Volume 753), 
%            660-696.
% Source   : [ANL]
% Names    : p7.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   12 (   2 non-Horn;   5 unit;   9 RR)
%            Number of literals   :   23 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : In Scott's axiom system, this is an axiom; but 
%            it is dependant, vis. proof included.
%          : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Don't include axioms of equality because it's incomplete
%include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equalish(X,X)]).

input_clause(symmetry,axiom,
    [--equalish(X,Y),
     ++equalish(Y,X)]).

input_clause(transitivity,axiom,
    [--equalish(X,Y),
     --equalish(Y,Z),
     ++equalish(X,Z)]).

%----Supply the axioms upon which it is dependant.

%----Category theory axioms 
input_clause(domain_has_elements,axiom,
    [--there_exists(domain(X)),
     ++there_exists(X)]).

input_clause(domain_codomain_composition2,axiom,
    [--there_exists(domain(X)),
     --equalish(domain(X),codomain(Y)),
     ++there_exists(compose(X,Y))]).

%----Axiom of indiscernibles 
input_clause(indiscernibles1,axiom,
    [++there_exists(f1(X,Y)),
     ++equalish(X,Y)]).

input_clause(indiscernibles2,axiom,
    [++equalish(X,f1(X,Y)),
     ++equalish(Y,f1(X,Y)),
     ++equalish(X,Y)]).

input_clause(indiscernibles3,axiom,
    [--equalish(X,f1(X,Y)),
     --equalish(Y,f1(X,Y)),
     ++equalish(X,Y)]).

input_clause(domain_of_c2_exists,hypothesis,
    [++there_exists(domain(c2))]).

input_clause(domain_of_c1_exists,hypothesis,
    [++there_exists(domain(c1))]).

input_clause(domain_of_c2_equals_codomain_of_c1,hypothesis,
    [++equalish(domain(c2),codomain(c1))]).

input_clause(prove_c1_c2_is_defined,conjecture,
    [--there_exists(compose(c2,c1))]).
%--------------------------------------------------------------------------
