%--------------------------------------------------------------------------
% File     : CAT008-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If xy is defined then domain(x) = codomain(y)
% Version  : [Mitchell, 1967] axioms.
% English  : 

% Refs     : Mitchell B. (1967), Theory of categories, (Pure and Applied 
%            Mathematics, Volume 17), Academic Press.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [ANL]
% Names    : C8 [McCharen, et al., 1976]
%          : p8.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   33 (   0 non-Horn;   9 unit;  24 RR)
%            Number of literals   :   79 (  22 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   88 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(ab_defined,hypothesis,
    [++defined(a,b)]).

input_clause(prove_domain_of_a_equals_codomain_of_b,conjecture,
    [--equal(domain(a),codomain(b))]).
%--------------------------------------------------------------------------
