%--------------------------------------------------------------------------
% File     : CAT011-3 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : domain(domain(x)) = domain(x)
% Version  : [Scott, 1979] axioms : Reduced > Complete.
% English  : 

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist Logic, 
%            In Fournam M.P. (Ed), Durham Proceedings Applications 
%            of Sheaves, (Lecture Notes in Mathematics Volume 753), 
%            660-696.
% Source   : [ANL]
% Names    : p11.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.56 v2.0.0
% Syntax   : Number of clauses    :   31 (   2 non-Horn;   6 unit;  21 RR)
%            Number of literals   :   66 (  37 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   1 constant; 0-2 arity)
%            Number of variables  :   61 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_domain_exists,hypothesis,
    [++there_exists(domain(a))]).

input_clause(prove_domain_is_idempotent,conjecture,
    [--equal(domain(domain(a)),domain(a))]).
%--------------------------------------------------------------------------
