%--------------------------------------------------------------------------
% File     : CAT015-3 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Prove something exists
% Version  : [Scott, 1979] axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist Logic, 
%            In Fournam M.P. (Ed), Durham Proceedings Applications 
%            of Sheaves, (Lecture Notes in Mathematics Volume 753), 
%            660-696.
% Source   : [ANL]
% Names    : p15.related.in [ANL]

% Status   : satisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   31 (   3 non-Horn;   5 unit;  20 RR)
%            Number of literals   :   68 (  37 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   0 constant; 1-2 arity)
%            Number of variables  :   64 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Can anything be proven to exist, directly from the axioms? 
%            Using all the kinds of resolution steps possible, no.
%          : Axioms simplified by Art Quaife.
%          : Using Quaife's axiom ((x=y) | E(x) | E(y).).
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
%----Quaife has this written: (this looks really weird, but results from 
%----having = here stand for equivalence, and it is a strange fact from 
%----Scott's conception that all non-existent things are equivalent.
input_clause(equal_things_exist,axiom,
    [++equal(X,Y),
     ++there_exists(X),
     ++there_exists(Y)]).

%----Denial that anything at all exists 
input_clause(prove_something_exists,conjecture,
    [--there_exists(X)]).

%----The ANL group use these lemmas as demodulators
%input_clause(name,hypothesis,
%    [++equal(domain(domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(domain(codomain(X)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(codomain(X)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(domain(compose(X,Y)),domain(Y))]).
%input_clause(name,hypothesis,
%    [++equal(codomain(compose(X,Y)),codomain(X))]).
%input_clause(name,hypothesis,
%    [++equal(compose(domain(X),domain(X)),domain(X))]).
%input_clause(name,hypothesis,
%    [++equal(compose(codomain(X),codomain(X)),codomain(X))]).
%--------------------------------------------------------------------------
