%--------------------------------------------------------------------------
% File     : COM003+3 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Computing Theory
% Problem  : The halting problem is undecidable
% Version  : [Dafa, 1994] axioms.
% English  : 

% Refs     : Burkholder L. (1987a), The halting problem, SIGCSE bulletin.
%          : Burkholder L. (1987b), A 76th Automated Theorem Proving 
%            Problem, AAR Newsletter 8, 6-7.
%          : Dafa L. (1994), The Formulation of the Halting Problem Is
%            Not Suitable for Describing the Halting Problem, AAR
%            Newsletter 27, 1-7.
% Source   : [Dafa, 1994]
% Names    : - [Dafa, 1994]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   39 (   0 equality)
%            Maximal formula depth :   10 (   8 average)
%            Number of connectives :   38 (   3 ~  ;   0  |;  22  &)
%                                         (   0 <=>;  13 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-3 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   :   14 (   1 singleton;  15 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(p1,axiom,(
    ? [X] : 
      ( algorithm(X)
      & ! [Y] : 
          ( program(Y)
         => ! [Z] : decides(X,Y,Z) ) )
 => ? [W] : 
      ( program(W)
      & ! [Y] : 
          ( program(Y)
         => ! [Z] : decides(W,Y,Z) ) )   )).

input_formula(p2,axiom,(
    ! [W] : 
      ( ( program(W)
        & ! [Y] : 
            ( program(Y)
           => ! [Z] : decides(W,Y,Z) ) )
     => ! [Y,Z] : 
          ( ( ( program(Y)
              & halts2(Y,Z) )
           => ( halts3(W,Y,Z)
              & outputs(W,good) ) )
          & ( ( program(Y)
              & ~ halts2(Y,Z) )
           => ( halts3(W,Y,Z)
              & outputs(W,bad) ) ) ) )   )).

input_formula(p3,axiom,(
    ! [W] : 
      ( ( program(W)
        & ! [Y,Z] : 
            ( ( ( program(Y)
                & halts2(Y,Z) )
             => ( halts3(W,Y,Z)
                & outputs(W,good) ) )
            & ( ( program(Y)
                & ~ halts2(Y,Z) )
             => ( halts3(W,Y,Z)
                & outputs(W,bad) ) ) ) )
     => ? [V] : 
          ( program(V)
          & ! [Y] : 
              ( ( ( program(Y)
                  & halts3(W,Y,Y)
                  & outputs(W,good) )
               => ~ halts2(V,Y) )
              & ( ( program(Y)
                  & halts3(W,Y,Y)
                  & outputs(W,bad) )
               => ( halts2(V,Y)
                  & outputs(V,bad) ) ) ) ) )   )).

input_formula(prove_this,conjecture,(
    ~ ( ? [X1] : 
          ( algorithm(X1)
          & ! [Y1] : 
              ( program(Y1)
             => ! [Z1] : decides(X1,Y1,Z1) ) ) )   )).
%--------------------------------------------------------------------------
