%--------------------------------------------------------------------------
% File     : FLD012-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of operation and inverse in multiplicative group
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;  11 unit;  35 RR)
%            Number of literals   :   81 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(a_not_equal_to_additive_identity_5,conjecture,
    [--equalish(a,additive_identity)]).

input_clause(b_not_equal_to_additive_identity_6,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(multiply_equals_u_7,conjecture,
    [++equalish(multiply(a,b),u)]).

input_clause(multiply_equals_v_8,conjecture,
    [++equalish(multiply(multiplicative_inverse(a),
multiplicative_inverse(b)),v)]).

input_clause(multiplicative_inverse_not_equal_to_v_9,conjecture,
    [--equalish(multiplicative_inverse(u),v)]).
%--------------------------------------------------------------------------
