%--------------------------------------------------------------------------
% File     : FLD012-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of operation and inverse in multiplicative group
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  11 unit;  34 RR)
%            Number of literals   :   85 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(not_sum_5,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(not_sum_6,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(product_7,conjecture,
    [++product(a,b,u)]).

input_clause(product_8,conjecture,
    [++product(multiplicative_inverse(a),multiplicative_inverse(b),v)]).

input_clause(not_product_9,conjecture,
    [--product(multiplicative_identity,multiplicative_inverse(u),v)]).
%--------------------------------------------------------------------------
