%--------------------------------------------------------------------------
% File     : FLD016-5 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Solutions of linear equations in the additive group are unique
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational variant with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  11 unit;  34 RR)
%            Number of literals   :   85 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   7 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(q_is_defined,conjecture,
    [++defined(q)]).

input_clause(r_is_defined,conjecture,
    [++defined(r)]).

input_clause(sum_6,conjecture,
    [++sum(a,u,q)]).

input_clause(sum_7,conjecture,
    [++sum(a,v,r)]).

input_clause(sum_8,conjecture,
    [++sum(additive_identity,q,r)]).

input_clause(not_sum_9,conjecture,
    [--sum(additive_identity,u,v)]).
%--------------------------------------------------------------------------
