%--------------------------------------------------------------------------
% File     : FLD026-1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of multiplicative inverses with equality 
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   31 (   3 non-Horn;   7 unit;  31 RR)
%            Number of literals   :   77 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(a_not_equal_to_additive_identity_3,conjecture,
    [--equalish(a,additive_identity)]).

input_clause(a_equals_b_4,conjecture,
    [++equalish(a,b)]).

input_clause(multiplicative_inverses_not_equal,conjecture,
    [--equalish(multiplicative_inverse(a),multiplicative_inverse(b))]).
%--------------------------------------------------------------------------
