%--------------------------------------------------------------------------
% File     : FLD045-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of multiplication and additive inverses
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   33 (   3 non-Horn;   9 unit;  33 RR)
%            Number of literals   :   79 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(multiply_equals_c_5,conjecture,
    [++equalish(multiply(additive_inverse(a),additive_inverse(b)),c)]).

input_clause(multiply_equals_d_6,conjecture,
    [++equalish(multiply(a,b),d)]).

input_clause(c_not_equal_to_d_7,conjecture,
    [--equalish(c,d)]).
%--------------------------------------------------------------------------
