%--------------------------------------------------------------------------
% File     : FLD070-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : One-sided addition of two order relations
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   32 (   3 non-Horn;   9 unit;  32 RR)
%            Number of literals   :   83 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(less_or_equal_4,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(sum_6,conjecture,
    [++sum(a,b,c)]).

input_clause(not_less_or_equal_7,conjecture,
    [--less_or_equal(additive_identity,c)]).
%--------------------------------------------------------------------------
