%--------------------------------------------------------------------------
% File     : FLD074-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Two-sided multiplication in an order relation, part 1
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;  12 unit;  35 RR)
%            Number of literals   :   86 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   7 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(less_or_equal_6,conjecture,
    [++less_or_equal(a,b)]).

input_clause(less_or_equal_7,conjecture,
    [++less_or_equal(additive_identity,c)]).

input_clause(product_8,conjecture,
    [++product(a,c,u)]).

input_clause(product_9,conjecture,
    [++product(b,c,v)]).

input_clause(not_less_or_equal_10,conjecture,
    [--less_or_equal(u,v)]).
%--------------------------------------------------------------------------
