%--------------------------------------------------------------------------
% File     : FLD096-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   46 (   3 non-Horn;  22 unit;  46 RR)
%            Number of literals   :   92 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   15 (  11 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(w_is_defined,conjecture,
    [++defined(w)]).

input_clause(b_not_equal_to_additive_identity_10,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(d_not_equal_to_additive_identity_11,conjecture,
    [--equalish(d,additive_identity)]).

input_clause(less_or_equal_12,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(less_or_equal_13,conjecture,
    [++less_or_equal(additive_identity,d)]).

input_clause(multiply_equals_u_14,conjecture,
    [++equalish(multiply(a,multiplicative_inverse(b)),u)]).

input_clause(multiply_equals_v_15,conjecture,
    [++equalish(multiply(c,multiplicative_inverse(d)),v)]).

input_clause(add_equals_s_16,conjecture,
    [++equalish(add(a,c),s)]).

input_clause(add_equals_t_17,conjecture,
    [++equalish(add(b,d),t)]).

input_clause(multiply_equals_w_18,conjecture,
    [++equalish(multiply(s,multiplicative_inverse(t)),w)]).

input_clause(less_or_equal_19,conjecture,
    [++less_or_equal(u,v)]).

input_clause(not_less_or_equal_20,conjecture,
    [--less_or_equal(w,v)]).
%--------------------------------------------------------------------------
