%--------------------------------------------------------------------------
% File     : FLD096-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   45 (   3 non-Horn;  22 unit;  45 RR)
%            Number of literals   :   96 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   15 (  11 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(w_is_defined,conjecture,
    [++defined(w)]).

input_clause(not_sum_10,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_11,conjecture,
    [--sum(additive_identity,d,additive_identity)]).

input_clause(less_or_equal_12,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(less_or_equal_13,conjecture,
    [++less_or_equal(additive_identity,d)]).

input_clause(product_14,conjecture,
    [++product(a,multiplicative_inverse(b),u)]).

input_clause(product_15,conjecture,
    [++product(c,multiplicative_inverse(d),v)]).

input_clause(sum_16,conjecture,
    [++sum(a,c,s)]).

input_clause(sum_17,conjecture,
    [++sum(b,d,t)]).

input_clause(product_18,conjecture,
    [++product(s,multiplicative_inverse(t),w)]).

input_clause(less_or_equal_19,conjecture,
    [++less_or_equal(u,v)]).

input_clause(not_less_or_equal_20,conjecture,
    [--less_or_equal(w,v)]).
%--------------------------------------------------------------------------
