%--------------------------------------------------------------------------
% File     : GEO003-1 : TPTP v2.0.0. Bugfixed v1.0.1.
% Domain   : Geometry
% Problem  : For all points x and y, y is between x and y
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
% Source   : [ANL]
% Names    : T3 [McCharen, et al., 1976]
%          : t3.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   56 (   6 non-Horn;   8 unit;  27 RR)
%            Number of literals   :  142 (  71 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   10 (   5 constant; 0-6 arity)
%            Number of variables  :  269 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_b_between_a_and_b,conjecture,
    [--between(a,b,b)]).
%--------------------------------------------------------------------------
