%--------------------------------------------------------------------------
% File     : GEO004-1 : TPTP v2.0.0. Bugfixed v1.0.1.
% Domain   : Geometry
% Problem  : Every line segment has a midpoint
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
% Source   : [ANL]
% Names    : T4 [McCharen, et al., 1976]
%          : t4.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.88 v2.0.0
% Syntax   : Number of clauses    :   57 (   6 non-Horn;   8 unit;  28 RR)
%            Number of literals   :  144 (  72 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   10 (   5 constant; 0-6 arity)
%            Number of variables  :  270 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
%----Quaife states that this hypothesis is unnecessary 
input_clause(a_not_b,hypothesis,
    [--equal(a,b)]).

input_clause(prove_midpoint,conjecture,
    [--equidistant(a,X,b,X),
     --between(a,X,b)]).
%--------------------------------------------------------------------------
