%--------------------------------------------------------------------------
% File     : GEO030-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary to the outer five-segment axiom
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.56 v2.0.0
% Syntax   : Number of clauses    :   58 (   5 non-Horn;  12 unit;  29 RR)
%            Number of literals   :  138 (  72 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_w,hypothesis,
    [++between(u,v,w)]).

input_clause(u_to_w_equals_u_to_w1,hypothesis,
    [++equidistant(u,w,u,w1)]).

input_clause(v_to_w_equals_v_to_w1,hypothesis,
    [++equidistant(v,w,v,w1)]).

input_clause(u_not_v,hypothesis,
    [--equal(u,v)]).

input_clause(prove_w_is_w1,conjecture,
    [--equal(w,w1)]).
%--------------------------------------------------------------------------
