%--------------------------------------------------------------------------
% File     : GEO040-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Antisymmetry of betweenness in its first two arguments
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.44 v2.0.0
% Syntax   : Number of clauses    :   56 (   5 non-Horn;  10 unit;  27 RR)
%            Number of literals   :  136 (  71 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   6 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_w,hypothesis,
    [++between(u,v,w)]).

input_clause(u_between_v_and_w,hypothesis,
    [++between(v,u,w)]).

input_clause(prove_u_is_v,conjecture,
    [--equal(u,v)]).
%--------------------------------------------------------------------------
