%--------------------------------------------------------------------------
% File     : GEO067-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Any two points are collinear
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.44 v2.0.0
% Syntax   : Number of clauses    :   62 (   6 non-Horn;   7 unit;  33 RR)
%            Number of literals   :  160 (  74 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   6 constant; 0-6 arity)
%            Number of variables  :  285 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of colinearity 
include('Axioms/GEO002-1.ax').
include('Axioms/GEO002-1.eq').
%--------------------------------------------------------------------------
input_clause(part_1,conjecture,
    [--colinear(x,x,y),
     --colinear(x,y,x),
     --colinear(y,x,x),
     ++equal(x,y)]).

input_clause(part_2,conjecture,
    [--colinear(x,x,y),
     --colinear(x,y,x),
     --colinear(y,x,x),
     --colinear(x,z,y)]).
%--------------------------------------------------------------------------
