%--------------------------------------------------------------------------
% File     : GEO076-4 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Geometry (Hilbert)
% Problem  : There is no point on every line
% Version  : [Benanav, 1992] axioms.
% English  : 

% Refs     : Benanav D. (1992), Recognising Unnecessary Clauses 
%            in Resolution Based Systems, In Journal of Automated 
%            Reasoning 9(1), 43-76.
% Source   : [Benanav, 1992]
% Names    : G15 [Benanav, 1992]

% Status   : unsatisfiable
% Rating   : 0.89 v2.0.0
% Syntax   : Number of clauses    :   60 (  18 non-Horn;   3 unit;  48 RR)
%            Number of literals   :  239 (  89 equality)
%            Maximal clause size  :   16 (   3 average)
%            Number of predicates :    6 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   2 constant; 0-3 arity)
%            Number of variables  :  153 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Hilbert geometry 
include('Axioms/GEO003-0.ax').
include('Axioms/GEO003-0.eq').
%--------------------------------------------------------------------------
input_clause(there_is_a_point,hypothesis,
    [++point(a_point)]).

input_clause(prove_point_is_not_on_every_line,conjecture,
    [--line(Line),
     ++on(a_point,Line)]).
%--------------------------------------------------------------------------
