%--------------------------------------------------------------------------
% File     : GEO078-5 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Geometry (Hilbert)
% Problem  : Every plane contains 3 noncollinear points
% Version  : [Benanav, 1992] axioms : Augmented.
% English  : 

% Refs     : Benanav D. (1992), Recognising Unnecessary Clauses 
%            in Resolution Based Systems, In Journal of Automated 
%            Reasoning 9(1), 43-76.
% Source   : [Benanav, 1992]
% Names    : G16 [Benanav, 1992]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   61 (  20 non-Horn;   3 unit;  49 RR)
%            Number of literals   :  258 (  95 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :    6 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   2 constant; 0-3 arity)
%            Number of variables  :  159 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Hilbert geometry 
include('Axioms/GEO003-0.ax').
include('Axioms/GEO003-0.eq').
%--------------------------------------------------------------------------
input_clause(points_not_collinear,axiom,
    [--point(X1),
     --point(X2),
     --point(X3),
     ++equal(X1,X2),
     ++equal(X1,X3),
     ++equal(X2,X3),
     --on(X1,Y1),
     --on(X2,Y1),
     ++on(X3,Y1),
     --line(Y1),
     --collinear(X1,X2,X3)]).

input_clause(there_is_a_plane,hypothesis,
    [++plane(a_plane)]).

input_clause(prove_every_plane_contains_3_noncollinear_points,conjecture,
    [++collinear(X1,X2,X3),
     --point(X1),
     --point(X2),
     --point(X3),
     ++equal(X1,X2),
     ++equal(X1,X3),
     ++equal(X2,X3),
     --on(X1,a_plane),
     --on(X2,a_plane),
     --on(X3,a_plane)]).
%--------------------------------------------------------------------------
