%--------------------------------------------------------------------------
% File     : GRP001-3 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : X^2 = identity => commutativity
% Version  : [Boyer, et al., 1986] axioms.
% English  : If the square of every element is the identity, the system 
%            is commutative.

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M., Wos L. 
%            (1986), Set Theory in First-Order Logic: Clauses for Godel's 
%            Axioms, Journal of Automated Reasoning 2(3), 287-327.
% Source   : [Boyer, et al., 1986]
% Names    : Problem 228-231 [Boyer, et al., 1986]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  328 (  27 non-Horn;  15 unit; 198 RR)
%            Number of literals   :  781 ( 341 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   19 (   0 propositional; 1-5 arity)
%            Number of functors   :   71 (   9 constant; 0-5 arity)
%            Number of variables  :  931 (  32 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_group,hypothesis,
    [++group(f71,f72)]).

input_clause(f73_is_the_identity,hypothesis,
    [++identity(f71,f72,f73)]).

input_clause(x_squared_is_identity,hypothesis,
    [--member(X,f71),
     ++equal(apply_to_two_arguments(f72,X,X),f73)]).

input_clause(prove_the_group_is_commutative,conjecture,
    [--commutes(f71,f72)]).
%--------------------------------------------------------------------------
