%--------------------------------------------------------------------------
% File     : GRP032-3 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, there is an identity
% Version  : [Wos, 1965] axioms.
% English  : 

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National 
%            Laboratory.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : Problem 12 [Wos, 1965]
%          : wos12 [Wilson & Minker, 1976]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;   8 unit;  13 RR)
%            Number of literals   :   46 (  17 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   53 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
include('Axioms/GRP003-2.eq').
%--------------------------------------------------------------------------
input_clause(a_is_in_subgroup,hypothesis,
    [++subgroup_member(a)]).

input_clause(prove_identity_is_in_subgroup,conjecture,
    [--subgroup_member(identity)]).
%--------------------------------------------------------------------------
