%--------------------------------------------------------------------------
% File     : GRP033-4 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, the identity is the group identity
% Version  : [Wos, 1965] axioms.
% English  : 

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National 
%            Laboratory.
% Source   : [SPRFN]
% Names    :  Problem 13 [Wos, 1965]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;   7 unit;  15 RR)
%            Number of literals   :   52 (  19 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   57 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
include('Axioms/GRP003-2.eq').
%--------------------------------------------------------------------------
%----j(A) is an element for which A is identity. In a subgroup this can 
%----be any element.

input_clause(j_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(j(A),j(B))]).

input_clause(a_is_in_subgroup,hypothesis,
    [++subgroup_member(a)]).

input_clause(subgr2_clause1,hypothesis,
    [--subgroup_member(A),
     ++subgroup_member(j(A))]).

input_clause(prove_subgr2,conjecture,
    [--product(j(A),A,j(A)),
     --product(A,j(A),j(A)),
     --subgroup_member(A)]).
%--------------------------------------------------------------------------
