%--------------------------------------------------------------------------
% File     : GRP119-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Group Theory
% Problem  : Derive order 4 from a single axiom for groups order 4
% Version  : [Wos, Unpublished] (equality) axioms.
% English  : 

% Refs     : Wos L. (Unpublished), Automating the Search for Elegant 
%            Proofs: An Experimenter's Notebook.
% Source   : [OTTER]
% Names    : groups.exp4.in part 1 [OTTER]

% Status   : unsatisfiable
% Rating   : 0.29 v2.0.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   4 unit;   4 RR)
%            Number of literals   :   13 (  13 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause prove_order4 fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(multiply(Y,multiply(multiply(Y,multiply(multiply(Y,Y),
multiply(X,Z))),multiply(Z,multiply(Z,Z)))),X)]).

input_clause(single_axiom2,axiom,
    [++equal(multiply(identity,identity),identity)]).

input_clause(multiply_substitution1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution2,axiom,
    [--equal(D,E),
     ++equal(multiply(F,D),multiply(F,E))]).

input_clause(prove_order4,conjecture,
    [--equal(multiply(a,multiply(a,multiply(a,a))),identity)]).
%--------------------------------------------------------------------------
