%--------------------------------------------------------------------------
% File     : GRP123-9.003 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Quasigroups)
% Problem  : (3,2,1) conjugate orthogonality
% Version  : [Slaney, 1993] axioms : Augmented. 
%            Theorem formulation : Uses a second group.
% English  : If ab=xy and a*b = x*y then a=x and b=y, where c*b=a iff ab=c.
%            Generate the multiplication table for the specified quasi-
%            group with 3 elements.

% Refs     : Fujita M., Slaney J., Bennett F. (1993), Automatic Generation
%            of Some Results in Finite Algebra, Bajcsy R. (Ed), 
%            Proceedings of the 13th International Joint Conference on
%            Artificial Intelligence (Chambery, France, 1993), Morgan
%            Kaufman, San Mateo, USA, 52-57.
%          : Slaney J. (1993), Email to Geoff Sutcliffe.
%          : Slaney J., Fujita M., Stickel M. (1995), Automated Reasoning
%            and Exhaustive Search: Quasigroup Existence Problems,
%            Computers and Mathematics with Applications 29(2), 115-132.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   22 (   4 non-Horn;  11 unit;  20 RR)
%            Number of literals   :   52 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    5 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   3 constant; 0-0 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Slaney's [1993] axiomatization has been modified for this.
%          : Substitution axioms are not needed, as any positive equality
%            literals should resolve on negative ones directly.
%          : Version 9 has surjectivity and rotation
%          : tptp2X: -ftptp -s3 GRP123-9.g 
% Bugfixes : v1.2.1 - Clauses row_surjectivity and column_surjectivity fixed.
%--------------------------------------------------------------------------
input_clause(row_surjectivity,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product(e_1,X,Y),
     ++product(e_2,X,Y),
     ++product(e_3,X,Y)]).

input_clause(column_surjectivity,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product(X,e_1,Y),
     ++product(X,e_2,Y),
     ++product(X,e_3,Y)]).

input_clause(element_1,axiom,
    [++group_element(e_1)]).

input_clause(element_2,axiom,
    [++group_element(e_2)]).

input_clause(element_3,axiom,
    [++group_element(e_3)]).

input_clause(e_1_is_not_e_2,axiom,
    [--equalish(e_1,e_2)]).

input_clause(e_1_is_not_e_3,axiom,
    [--equalish(e_1,e_3)]).

input_clause(e_2_is_not_e_1,axiom,
    [--equalish(e_2,e_1)]).

input_clause(e_2_is_not_e_3,axiom,
    [--equalish(e_2,e_3)]).

input_clause(e_3_is_not_e_1,axiom,
    [--equalish(e_3,e_1)]).

input_clause(e_3_is_not_e_2,axiom,
    [--equalish(e_3,e_2)]).

input_clause(product1_total_function1,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product1(X,Y,e_1),
     ++product1(X,Y,e_2),
     ++product1(X,Y,e_3)]).

input_clause(product1_total_function2,axiom,
    [--product1(X,Y,W),
     --product1(X,Y,Z),
     ++equalish(W,Z)]).

input_clause(product1_right_cancellation,axiom,
    [--product1(X,W,Y),
     --product1(X,Z,Y),
     ++equalish(W,Z)]).

input_clause(product1_left_cancellation,axiom,
    [--product1(W,Y,X),
     --product1(Z,Y,X),
     ++equalish(W,Z)]).

input_clause(product1_idempotence,axiom,
    [++product1(X,X,X)]).

input_clause(product2_total_function1,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product2(X,Y,e_1),
     ++product2(X,Y,e_2),
     ++product2(X,Y,e_3)]).

input_clause(product2_total_function2,axiom,
    [--product2(X,Y,W),
     --product2(X,Y,Z),
     ++equalish(W,Z)]).

input_clause(product2_right_cancellation,axiom,
    [--product2(X,W,Y),
     --product2(X,Z,Y),
     ++equalish(W,Z)]).

input_clause(product2_left_cancellation,axiom,
    [--product2(W,Y,X),
     --product2(Z,Y,X),
     ++equalish(W,Z)]).

input_clause(product2_idempotence,axiom,
    [++product2(X,X,X)]).

input_clause(qg1a,conjecture,
    [--product1(X,Y,Z1),
     --product1(Z1,Y,Z2),
     ++product2(Z2,X,Y)]).
%--------------------------------------------------------------------------
