%--------------------------------------------------------------------------
% File     : GRP129-3.002 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : a.(b.a) = (b.a).a
% Version  : [Slaney, 1993] axioms : Augmented. 
% English  : Generate the multiplication table for the specified quasi-
%            group with 2 elements.

% Refs     : Fujita M., Slaney J., Bennett F. (1993), Automatic Generation
%            of Some Results in Finite Algebra, Bajcsy R. (Ed), 
%            Proceedings of the 13th International Joint Conference on
%            Artificial Intelligence (Chambery, France, 1993), Morgan
%            Kaufman, San Mateo, USA, 52-57.
%          : Slaney J. (1993), Email to Geoff Sutcliffe.
%          : Slaney J., Fujita M., Stickel M. (1995), Automated Reasoning
%            and Exhaustive Search: Quasigroup Existence Problems,
%            Computers and Mathematics with Applications 29(2), 115-132.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   21 (   2 non-Horn;  10 unit;  21 RR)
%            Number of literals   :   52 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    6 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   3 constant; 0-0 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Slaney's [1993] axiomatization has been modified for this.
%          : Substitution axioms are not needed, as any positive equality
%            literals should resolve on negative ones directly.
%          : Version 3 has complex isomorphism avoidance (mentioned in
%            [Slaney, et al., 1994]
%          : tptp2X: -ftptp -s2 GRP129-3.g 
%--------------------------------------------------------------------------
input_clause(e_0_then_e_1,axiom,
    [++next(e_0,e_1)]).

input_clause(e_1_then_e_2,axiom,
    [++next(e_1,e_2)]).

input_clause(e_1_greater_e_0,axiom,
    [++greater(e_1,e_0)]).

input_clause(e_2_greater_e_0,axiom,
    [++greater(e_2,e_0)]).

input_clause(e_2_greater_e_1,axiom,
    [++greater(e_2,e_1)]).

input_clause(cycle1,axiom,
    [--cycle(X,Y),
     --cycle(X,Z),
     ++equalish(Y,Z)]).

input_clause(cycle2,axiom,
    [--group_element(X),
     ++cycle(X,e_0),
     ++cycle(X,e_1)]).

input_clause(cycle3,axiom,
    [++cycle(e_2,e_0)]).

input_clause(cycle4,axiom,
    [--cycle(X,Y),
     --cycle(W,Z),
     --next(X,W),
     --greater(Y,e_0),
     --next(Z,Z1),
     ++equalish(Y,Z1)]).

input_clause(cycle5,axiom,
    [--cycle(X,Z1),
     --cycle(Y,e_0),
     --cycle(W,Z2),
     --next(Y,W),
     --greater(Y,X),
     --greater(Z1,Z2)]).

input_clause(cycle6,axiom,
    [--cycle(X,e_0),
     --product(X,e_1,Y),
     --greater(Y,X)]).

input_clause(cycle7,axiom,
    [--cycle(X,Y),
     --product(X,e_1,Z),
     --greater(Y,e_0),
     --next(X,X1),
     ++equalish(Z,X1)]).

input_clause(element_1,axiom,
    [++group_element(e_1)]).

input_clause(element_2,axiom,
    [++group_element(e_2)]).

input_clause(e_1_is_not_e_2,axiom,
    [--equalish(e_1,e_2)]).

input_clause(e_2_is_not_e_1,axiom,
    [--equalish(e_2,e_1)]).

input_clause(product_total_function1,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product(X,Y,e_1),
     ++product(X,Y,e_2)]).

input_clause(product_total_function2,axiom,
    [--product(X,Y,W),
     --product(X,Y,Z),
     ++equalish(W,Z)]).

input_clause(product_right_cancellation,axiom,
    [--product(X,W,Y),
     --product(X,Z,Y),
     ++equalish(W,Z)]).

input_clause(product_left_cancellation,axiom,
    [--product(W,Y,X),
     --product(Z,Y,X),
     ++equalish(W,Z)]).

input_clause(qg3,conjecture,
    [--product(Y,X,Z1),
     --product(X,Z1,Z2),
     ++product(Z1,Y,Z2)]).
%--------------------------------------------------------------------------
