%--------------------------------------------------------------------------
% File     : GRP147-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Prove least upper-bound axiom using the GLB transformation
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : This problem proves the original least upper-bound axiom from
%            the equational axiomatization.

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : ax_lub1b [Schulz, 1995] 

% Status   : unsatisfiable
% Rating   : 0.43 v2.0.0
% Syntax   : Number of clauses    :   28 (   0 non-Horn;  19 unit;   6 RR)
%            Number of literals   :   38 (  38 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(ax_lub1b_1,hypothesis,
    [++equal(greatest_lower_bound(a,c),a)]).

input_clause(ax_lub1b_2,hypothesis,
    [++equal(greatest_lower_bound(b,c),b)]).

input_clause(prove_ax_lub1b,conjecture,
    [--equal(greatest_lower_bound(least_upper_bound(a,b),c),
least_upper_bound(a,b))]).
%--------------------------------------------------------------------------
