%--------------------------------------------------------------------------
% File     : GRP165-2 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : An application of monotonicity
% Version  : [Fuchs, 1994] (equality) axioms.
%            Theorem formulation : Dual.
% English  : Essentially a simple application of monotonicity, more
%            difficult when proved from the equations replacing
%            monotonicity.

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : lat1b [Schulz, 1995] 

% Status   : unsatisfiable
% Rating   : 0.14 v2.0.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;  18 unit;   5 RR)
%            Number of literals   :   37 (  37 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(lat1b_1,hypothesis,
    [++equal(greatest_lower_bound(a,identity),identity)]).

input_clause(prove_lat1b,conjecture,
    [--equal(greatest_lower_bound(a,multiply(a,a)),a)]).
%--------------------------------------------------------------------------
