%--------------------------------------------------------------------------
% File     : GRP176-2 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : General form of distributivity
% Version  : [Fuchs, 1994] (equality) axioms : Augmented.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
% Source   : [Schulz, 1995]
% Names    : p07 [Schulz, 1995]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;  18 unit;   4 RR)
%            Number of literals   :   37 (  37 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   61 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c > d
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c > d
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p07_1,hypothesis,
    [++equal(inverse(multiply(X,Y)),multiply(inverse(Y),inverse(X)))]).

input_clause(prove_p07,conjecture,
    [--equal(multiply(c,multiply(least_upper_bound(a,b),d)),
least_upper_bound(multiply(c,multiply(a,d)),multiply(c,multiply(b,d))))]).
%--------------------------------------------------------------------------
