%--------------------------------------------------------------------------
% File     : GRP179-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : For converting between GLB and LUB
% Version  : [Fuchs, 1994] (equality) axioms.
% English  : 

% Refs     : Fuchs M. (1994), The Application of Goal-Oriented Heuristics
%            for Proving Equational Theorems via the Unfailing Knuth-Bendix
%            Completion Procedure. A Case Study: Lattice Ordered Groups,
%            SEKI-Report SR-94-02, University of Kaiserslautern,
%            Kaiserslautern, Germany.
%          : Schulz S. (1995), Explanation Based Learning for Distributed
%            Equational Deduction, Diploma Thesis, University of
%            Kaiserslautern, Kaiserslautern, Germany.
%          : Dahn B.I. (1995), Email to Geoff Sutcliffe.
% Source   : [Schulz, 1995]
% Names    : p10 [Schulz, 1995] 

% Status   : unsatisfiable
% Rating   : 0.86 v2.0.0
% Syntax   : Number of clauses    :   26 (   0 non-Horn;  17 unit;   4 RR)
%            Number of literals   :   36 (  36 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
%          : [Dahn, 1995] says this is "non-obvious".
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(prove_p10,conjecture,
    [--equal(inverse(least_upper_bound(a,b)),greatest_lower_bound(
inverse(a),inverse(b)))]).
%--------------------------------------------------------------------------
