%--------------------------------------------------------------------------
% File     : HEN001-5 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X/identity = zero
% Version  : [McCharen, et al., 1976] (equality) axioms :
%            Reduced > Complete.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [ANL]
% Names    : hp1.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   18 (  18 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   21 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : less_equal replaced by divides. This theorem is trivial 
%            in this axiuomatisation.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms, for the equality formulation with 
%----less_equals removed.
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_everything_divide_id_is_zero,conjecture,
    [--equal(divide(a,identity),zero)]).
%--------------------------------------------------------------------------
