%--------------------------------------------------------------------------
% File     : HEN003-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X/X = zero
% Version  : [McCharen, et al., 1976] axioms : Augmented.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [McCharen, et al., 1976]
% Names    : H3 [McCharen, et al., 1976]
%          : hp3.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.40 v2.0.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;   7 unit;  14 RR)
%            Number of literals   :   49 (  17 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   57 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%----Include Henkin model equality axioms 
include('Axioms/HEN001-0.eq').
%--------------------------------------------------------------------------
%----McCharen uses these earlier results too. I don't 
input_clause(everything_divide_identity_is_zero,axiom,
    [++quotient(X,identity,zero)]).

input_clause(zero_divide_anything_is_zero,axiom,
    [++quotient(zero,X,zero)]).

input_clause(prove_x_divide_x_is_zero,conjecture,
    [--quotient(x,x,zero)]).
%--------------------------------------------------------------------------
