%--------------------------------------------------------------------------
% File     : HEN005-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : The relation less_equal is transitive
% Version  : [McCharen, et al., 1976] axioms : Augmented.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [ANL]
% Names    : hp5.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.40 v2.0.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;  10 unit;  10 RR)
%            Number of literals   :   32 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :   33 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(everything_divide_id_is_zero,axiom,
    [++equal(divide(X,identity),zero)]).

input_clause(zero_divide_anything_is_zero,axiom,
    [++equal(divide(zero,X),zero)]).

input_clause(a_LE_b,hypothesis,
    [++less_equal(a,b)]).

input_clause(b_LE_c,hypothesis,
    [++less_equal(b,c)]).

input_clause(prove_a_LE_c,conjecture,
    [--less_equal(a,c)]).
%--------------------------------------------------------------------------
