%--------------------------------------------------------------------------
% File     : HEN007-3 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= Y => Z/Y <= Z/X
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [ANL]
% Names    : HP7 [ANL]

% Status   : unsatisfiable
% Rating   : 0.60 v2.0.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;   7 unit;   9 RR)
%            Number of literals   :   29 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :   31 (   3 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(a_LE_b,hypothesis,
    [++less_equal(a,b)]).

input_clause(prove_c_divide_b_LE_c_divide_a,conjecture,
    [--less_equal(divide(c,b),divide(c,a))]).
%--------------------------------------------------------------------------
