%--------------------------------------------------------------------------
% File     : KRS010-1 : TPTP v1.3.0. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 3d
% Version  : Special.
% English  : f subsumes e.

% Refs     : Paramasivam M., Plaisted D. (1995), Automated Deduction 
%            Techniques for Classification in Concept Languages, Unpublished.
% Source   : [Paramasivam & Plaisted, 1995]
% Names    : Problem 3(d) [Paramasivam & Plaisted, 1995]

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   31 (  12 non-Horn;   2 unit;  31 RR)
%            Number of literals   :   95 (   0 equality)
%            Maximal clause size  :    7 (   3 average)
%            Number of predicates :    8 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   1 constant; 0-1 arity)
%            Number of variables  :   37 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++e(exist)]).

input_clause(clause_2,conjecture,
    [--f(exist)]).

input_clause(clause_3,axiom,
    [++c(X1),
     ++d(X1),
     --a(X1)]).

input_clause(clause_4,axiom,
    [++a(X1),
     --d(X1)]).

input_clause(clause_5,axiom,
    [++a(X1),
     --c(X1)]).

input_clause(clause_6,axiom,
    [++equalish(X4,X3),
     --e(X1),
     --r(X1,X4),
     --r(X1,X3),
     --c(X4),
     --c(X3)]).

input_clause(clause_7,axiom,
    [++r3least(X1),
     --e(X1)]).

input_clause(clause_8,axiom,
    [++a(X2),
     --e(X1),
     --r(X1,X2)]).

input_clause(clause_9,axiom,
    [++e(X1),
     --a(u1r1(X1)),
     --r3least(X1),
     --equalish(u1r3(X1),u1r2(X1))]).

input_clause(clause_10,axiom,
    [++e(X1),
     ++c(u1r2(X1)),
     --a(u1r1(X1)),
     --r3least(X1)]).

input_clause(clause_11,axiom,
    [++e(X1),
     ++c(u1r3(X1)),
     --a(u1r1(X1)),
     --r3least(X1)]).

input_clause(clause_12,axiom,
    [++e(X1),
     ++r(X1,u1r2(X1)),
     --a(u1r1(X1)),
     --r3least(X1)]).

input_clause(clause_13,axiom,
    [++e(X1),
     ++r(X1,u1r3(X1)),
     --a(u1r1(X1)),
     --r3least(X1)]).

input_clause(clause_14,axiom,
    [++e(X1),
     ++r(X1,u1r1(X1)),
     --r3least(X1),
     --equalish(u1r3(X1),u1r2(X1))]).

input_clause(clause_15,axiom,
    [++e(X1),
     ++r(X1,u1r1(X1)),
     ++c(u1r2(X1)),
     --r3least(X1)]).

input_clause(clause_16,axiom,
    [++e(X1),
     ++r(X1,u1r1(X1)),
     ++c(u1r3(X1)),
     --r3least(X1)]).

input_clause(clause_17,axiom,
    [++e(X1),
     ++r(X1,u1r1(X1)),
     ++r(X1,u1r2(X1)),
     --r3least(X1)]).

input_clause(clause_18,axiom,
    [++e(X1),
     ++r(X1,u1r1(X1)),
     ++r(X1,u1r3(X1)),
     --r3least(X1)]).

input_clause(clause_19,axiom,
    [--r3least(X1),
     --equalish(u2r2(X1),u2r1(X1))]).

input_clause(clause_20,axiom,
    [--r3least(X1),
     --equalish(u2r3(X1),u2r1(X1))]).

input_clause(clause_21,axiom,
    [--r3least(X1),
     --equalish(u2r3(X1),u2r2(X1))]).

input_clause(clause_22,axiom,
    [++r(X1,u2r1(X1)),
     --r3least(X1)]).

input_clause(clause_23,axiom,
    [++r(X1,u2r2(X1)),
     --r3least(X1)]).

input_clause(clause_24,axiom,
    [++r(X1,u2r3(X1)),
     --r3least(X1)]).

input_clause(clause_25,axiom,
    [++r3least(X1),
     ++equalish(X4,X3),
     ++equalish(X4,X2),
     ++equalish(X3,X2),
     --r(X1,X4),
     --r(X1,X3),
     --r(X1,X2)]).

input_clause(clause_26,axiom,
    [++d(u3r1(X1)),
     --f(X1)]).

input_clause(clause_27,axiom,
    [++d(u3r2(X1)),
     --f(X1)]).

input_clause(clause_28,axiom,
    [--f(X1),
     --equalish(u3r2(X1),u3r1(X1))]).

input_clause(clause_29,axiom,
    [++r(X1,u3r1(X1)),
     --f(X1)]).

input_clause(clause_30,axiom,
    [++r(X1,u3r2(X1)),
     --f(X1)]).

input_clause(clause_31,axiom,
    [++f(X1),
     ++equalish(X3,X2),
     --r(X1,X3),
     --r(X1,X2),
     --d(X3),
     --d(X2)]).
%--------------------------------------------------------------------------
