%--------------------------------------------------------------------------
% File     : LAT001-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Lattice Theory
% Problem  : If X' = U v V and Y' = U ^ V, then U' = X v (Y ^ V)
% Version  : [McCune, 1988] (equality) axioms.
% English  : The theorem states that there is a complement of "a" 
%            in a modular lattice with 0 and 1.

% Refs     : Bumcroft R. (1965), Proceedings of the Glasgow Mathematical 
%            Association 7(1), 22-23.
%          : Guard J., Oglesby F., Bennet J., Settle L. (1969), 
%            Semi-automated Mathematics, Journal of the ACM 16, 49-62.
%          : McCune W. (1988), Challenge Equality Problems in Lattice 
%            Theory, In Lusk E., Overbeek R. (Eds), Proceedings of the 9th 
%            International Conference on Automated Deduction (Argonne, IL, 
%            1988) (Lecture Notes in Computer Science 310), 
%            Springer-Verlag, New York, NY, 704-709.
% Source   : [McCune, 1988]
% Names    : L1a [McCune, 1988]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   28 (   0 non-Horn;  16 unit;  10 RR)
%            Number of literals   :   44 (  34 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   6 constant; 0-2 arity)
%            Number of variables  :   53 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : No further information is available from [McCune, 1988] 
%            or [Guard, et al., 1969] about the Bumcroft paper.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%----Include definition of complement 
include('Axioms/LAT001-1.ax').
%--------------------------------------------------------------------------
input_clause(complement_of_a_join_b,hypothesis,
    [++complement(r1,join(a,b))]).

input_clause(complement_of_a_meet_b,hypothesis,
    [++complement(r2,meet(a,b))]).

input_clause(prove_complememt,conjecture,
    [--complement(a,join(r1,meet(r2,b)))]).
%--------------------------------------------------------------------------
