%--------------------------------------------------------------------------
% File     : LCL005-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Logic Calculi (Disjunction/Negation 2 valued sentential)
% Problem  : AN-CAMerideth => AN-4
% Version  : [McCune, 1992] axioms.
% English  : The Whitehead-Russell axiomatisation of the Disjunction/ 
%            Negation 2 valued sentential calculus is {AN-1,AN-2,AN-3, 
%            AN-4}. Show that AN-4 can be derived from the Merideth axiom.

% Refs     : Meredith C.A. (1953), Single Axioms for the Systems (C,N), 
%            (C,0), and (A,N) of the Two-valued Propositional Calculus, 
%            Journal of Computing Systems 1, 155-164.
%          : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : AN-54 [McCune & Wos, 1992]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :    7 (   1 singleton)
%            Maximal term depth   :    7 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(or(not(X),Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(an_CAMerideth,axiom,
    [++is_a_theorem(or(not(or(not(or(not(X),Y)),or(Z,or(U,V)))),
or(not(or(not(U),X)),or(Z,or(V,X)))))]).

input_clause(an_4,conjecture,
    [--is_a_theorem(or(not(or(a,a)),a))]).
%--------------------------------------------------------------------------
