%--------------------------------------------------------------------------
% File     : LCL019-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : PYM depends on XGK
% Version  : [McCune, 1992] axioms.
% English  : Show that the single Meredith axiom PYM can be derived from 
%            the single Kalman axiom XGK.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : EC-82 [McCune & Wos, 1992]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Kalman 
input_clause(xgk,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(Y,
equivalent(Z,X)),equivalent(Z,Y))))]).

%----Axiom by Meredith 
input_clause(prove_pym,conjecture,
    [--is_a_theorem(equivalent(equivalent(equivalent(a,
equivalent(b,c)),b),equivalent(c,a)))]).
%--------------------------------------------------------------------------
