%--------------------------------------------------------------------------
% File     : LCL067-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Logic Calculi (Implication/Negation 2 valued sentential)
% Problem  : CN-1 depends on the second Lukasiewicz system
% Version  : [McCune, 1992] axioms.
% English  : Axiomatisations of the Implication/Negation 2 valued 
%            sentential calculus are {CN-1,CN-2,CN-3} by Lukasiewicz, 
%            {CN-18,CN-21,CN-35,CN-39,CN-39,CN-40,CN-46} by Frege, 
%            {CN-3,CN-18,CN-21,CN-22,CN-30,CN-54} by Hilbert, {CN-18, 
%            CN-35,CN-49} by Church, {CN-19,CN-37,CN-59} by Lukasiewicz, 
%            {CN-19,CN-37,CN-60} by Wos, and the single Meredith axiom. 
%            Show that CN-1 depends on the second Lukasiewicz system.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : CN-28 [McCune & Wos, 1992]

% Status   : unsatisfiable
% Rating   : 0.75 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   4 unit;   2 RR)
%            Number of literals   :    7 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   11 (   2 singleton)
%            Maximal term depth   :    5 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(cn_19,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),Z),implies(Y,Z)))]).

input_clause(cn_37,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),Z),
implies(not(X),Z)))]).

input_clause(cn_59,axiom,
    [++is_a_theorem(implies(implies(not(X),Z),implies(implies(Y,Z),
implies(implies(X,Y),Z))))]).

input_clause(prove_cn_1,conjecture,
    [--is_a_theorem(implies(implies(a,b),
implies(implies(b,c),implies(a,c))))]).
%--------------------------------------------------------------------------
