%--------------------------------------------------------------------------
% File     : LCL120-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Logic Calculi (R)
% Problem  : XGJ depends on QYF
% Version  : [McCune, 1992] axioms.
% English  : Single axioms for the R calculus are QYF, YQM, WO, all 
%            by Meredith and XGJ by Winker. Show that XGJ depends on QYF.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : R-88 [McCune & Wos, 1992]

% Status   : unsatisfiable
% Rating   : 0.13 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom from Meredith 
input_clause(qyf,axiom,
    [++is_a_theorem(equivalent(equivalent(equivalent(X,Y),
equivalent(X,Z)),equivalent(Z,Y)))]).

%----Axiom from Winker 
input_clause(prove_xgj,conjecture,
    [--is_a_theorem(equivalent(a,equivalent(equivalent(b,
equivalent(c,a)),equivalent(b,c))))]).
%--------------------------------------------------------------------------
