%--------------------------------------------------------------------------
% File     : LCL167-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : YRO depends on XHK
% Version  : [Wos, et al., 1990] axioms.
% English  : Show that the single Meredith axiom YRO can be derived from 
%            the single Winker axiom XHK.

% Refs     : Wos L., Winker S., McCune W.W., Overbeek R., Lusk E. and 
%            Stevens R. (1990), Automated Reasoning Contributes 
%            to Mathemetics and Logic, In Stickel M.E. (Ed), Proceedings 
%            of the 10th International Conference on Automated Deduction 
%            (Kaiserslautern, Germany, 1990), (Lecture Notes in Artificial 
%            Intelligence, 449), Springer-Verlag, NY, 485-499.
%          : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
% Source   : [Wos, et al., 1990]
% Names    : EC-2 [Wos, et al., 1990]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Winker 
input_clause(xhk,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(Y,Z),
equivalent(equivalent(X,Z),Y))))]).

%----Axiom by Meredith 
input_clause(prove_yro,conjecture,
    [--is_a_theorem(equivalent(equivalent(a,b),equivalent(c,
equivalent(equivalent(c,b),a))))]).
%--------------------------------------------------------------------------
