%--------------------------------------------------------------------------
% File     : LCL257-1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : XHN depends on YQL
% Version  : [TPTP] axioms.
% English  : Show that XHN can be derived from the single Lukasiewicz 
%            axiom YQL.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : This completes the loop of single axioms' dependence in 
%            problems LCL010 to LCL021.
%          : Thought to be LCLunsatisfiable.
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Lukasiewicz 
input_clause(yql,axiom,
    [++is_a_theorem(equivalent(equivalent(X,Y),equivalent(
equivalent(Z,Y),equivalent(X,Z))))]).

%----Axiom of symmetry 
input_clause(prove_xhn,conjecture,
    [--is_a_theorem(equivalent(x,equivalent(equivalent(y,z),
equivalent(equivalent(z,x),y))))]).
%--------------------------------------------------------------------------
