%--------------------------------------------------------------------------
% File     : LDA010-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that stts(sttt)(stts)g < stt(sg)
% Version  : [Jech, 1993] axioms : Incomplete.
% English  : 

% Refs     : Jech T. (1993), LD-algebras, AAR Newsletter 22, 9-12.
% Source   : [Jech, 1993]
% Names    : Problem 11 [Jech, 1993]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   28 (   2 non-Horn;  16 unit;  20 RR)
%            Number of literals   :   45 (  28 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   14 (  12 constant; 0-2 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(st,f(s,t))]).

input_clause(clause_2,axiom,
    [++equal(stt,f(st,t))]).

input_clause(clause_3,axiom,
    [++equal(sttt,f(stt,t))]).

input_clause(clause_4,axiom,
    [++equal(stts,f(stt,s))]).

input_clause(clause_5,axiom,
    [++equal(ts,f(t,s))]).

input_clause(clause_6,axiom,
    [++equal(sts,f(st,s))]).

input_clause(clause_7,axiom,
    [++equal(st_ts,f(st,ts))]).

input_clause(clause_8,axiom,
    [++equal(k,critical_point(t))]).

input_clause(clause_9,axiom,
    [++equal(sk,f(s,k))]).

input_clause(clause_10,axiom,
    [++equal(stk,f(st,k))]).

input_clause(clause_11,hypothesis,
    [++less(k,sk)]).

%----stts(sttt)(stts)k < stt(sk), if crit(k)=k<sk 
input_clause(prove_equation,conjecture,
    [--less(f(f(f(stts,sttt),stts),k),f(stt,sk))]).
%--------------------------------------------------------------------------
