%--------------------------------------------------------------------------
% File     : MGT003+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Management (Organisation Theory)
% Problem  : Organizational death rates decrease with age.
% Version  : [Peli, et al., 1994] axioms.
% English  : 

% Refs     : Peli G., Bruggeman J., Masuch M., and O'Nuallain B. (1992),
%            A Logical Approach to Organizational Ecology: Formalizing the
%            Inertia-Fragment in First-Order Logic, CCSOM Preprint 92-74,
%            Department of Statistics and Methodology, University of
%            Amsterdam.
%          : Peli G., Bruggeman J., Masuch M., and O'Nuallain B. (1994),
%            A Logical Approach to Formalizing Organizational Ecology,
%            American Sociological Review 59(4), 571-593.
%          : Kamps J. (1994), Email to Geoff Sutcliffe.
% Source   : [Kamps, 1994]
% Names    : THEOREM 3 [Peli, et al., 1992]
%          : T3FOL2 [Peli, et al., 1994]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    5 (   0 unit)
%            Number of atoms       :   29 (   0 equality)
%            Maximal formula depth :   11 (   7 average)
%            Number of connectives :   24 (   0 ~  ;   0  |;  19  &)
%                                         (   0 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   24 (   1 singleton;  23 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(mp4,axiom,(
    ! [X,T1,T2] : 
      ( reorganization_free(X,T1,T2)
     => ( reorganization_free(X,T1,T1)
        & reorganization_free(X,T2,T2) ) )   )).

input_formula(mp5,axiom,(
    ! [X,T] : 
      ( organization(X,T)
     => ? [I] : inertia(X,I,T) )   )).

input_formula(t1_FOL,hypothesis,(
    ! [X,Y,T1,T2,I1,I2,P1,P2] : 
      ( ( organization(X,T1)
        & organization(Y,T2)
        & reorganization_free(X,T1,T1)
        & reorganization_free(Y,T2,T2)
        & inertia(X,I1,T1)
        & inertia(Y,I2,T2)
        & survival_chance(X,P1,T1)
        & survival_chance(Y,P2,T2)
        & greater(I2,I1) )
     => greater(P2,P1) )   )).

input_formula(t2_FOL,hypothesis,(
    ! [X,I1,I2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & inertia(X,I1,T1)
        & inertia(X,I2,T2)
        & greater(T2,T1) )
     => greater(I2,I1) )   )).

input_formula(t3_FOL,conjecture,(
    ! [X,P1,P2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & survival_chance(X,P1,T1)
        & survival_chance(X,P2,T2)
        & greater(T2,T1) )
     => greater(P2,P1) )   )).
%--------------------------------------------------------------------------
