%--------------------------------------------------------------------------
% File     : MGT006+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Management (Organisation Theory)
% Problem  : Reliability and accountability increase with time.
% Version  : Special.
%            Theorem formulation : Different. 
% English  : 

% Refs     : Peli G., Bruggeman J., Masuch M., and O'Nuallain B. (1992),
%            A Logical Approach to Organizational Ecology: Formalizing the
%            Inertia-Fragment in First-Order Logic, CCSOM Preprint 92-74,
%            Department of Statistics and Methodology, University of
%            Amsterdam.
%          : Peli G., Bruggeman J., Masuch M., and O'Nuallain B. (1994),
%            A Logical Approach to Formalizing Organizational Ecology,
%            American Sociological Review 59(4), 571-593.
%          : Kamps J. (1994), Email to Geoff Sutcliffe.
% Source   : [Kamps, 1994]
% Names    : THEOREM 6 [Peli, et al., 1992]
%          : T6FOL2 [Peli, et al., 1994]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   30 (   0 equality)
%            Maximal formula depth :   10 (   8 average)
%            Number of connectives :   26 (   0 ~  ;   0  |;  21  &)
%                                         (   1 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   25 (   1 singleton;  24 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : Contains one less theorem predicate than [Kamps, 1994].
%--------------------------------------------------------------------------
input_formula(mp3,axiom,(
    ! [X,T] : 
      ( organization(X,T)
     => ? [Rp] : reproducibility(X,Rp,T) )   )).

%----Reliability and accountability require that organizational
%----structures be highly reproducible.
input_formula(a2_FOL,hypothesis,(
    ! [X,Y,T1,T2,R1,R2,A1,A2,Rp1,Rp2] : 
      ( ( organization(X,T1)
        & organization(Y,T2)
        & reliability(X,R1,T1)
        & reliability(Y,R2,T2)
        & accountability(X,A1,T1)
        & accountability(Y,A2,T2)
        & reproducibility(X,Rp1,T1)
        & reproducibility(Y,Rp2,T2) )
     => ( greater(Rp2,Rp1)
      <=> ( greater(R2,R1)
          & greater(A2,A1) ) ) )   )).

%----Reproducibility of structure increases monotonically with age.
input_formula(a4_FOL,hypothesis,(
    ! [X,Rp1,Rp2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & reproducibility(X,Rp1,T1)
        & reproducibility(X,Rp2,T2)
        & greater(T2,T1) )
     => greater(Rp2,Rp1) )   )).

input_formula(t6_FOL,conjecture,(
    ! [X,R1,R2,A1,A2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & reliability(X,R1,T1)
        & reliability(X,R2,T2)
        & accountability(X,A1,T1)
        & accountability(X,A2,T2)
        & greater(T2,T1) )
     => ( greater(R2,R1)
        & greater(A2,A1) ) )   )).
%--------------------------------------------------------------------------
