%--------------------------------------------------------------------------
% File     : NUM009-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Number Theory
% Problem  : Peano axiom 1
% Version  : [Boyer, et al., 1986] axioms.
% English  : 

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M., Wos L. 
%            (1986), Set Theory in First-Order Logic: Clauses for Godel's 
%            Axioms,  Journal of Automated Reasoning 2(3), 287-327.
% Source   : [Boyer, et al., 1986]
% Names    : Problem 233 [Boyer, et al., 1986]

% Status   : unsatisfiable
% Rating   : 0.25 v2.0.0
% Syntax   : Number of clauses    :  406 (  59 non-Horn;  13 unit; 258 RR)
%            Number of literals   : 1047 ( 409 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   20 (   0 propositional; 1-5 arity)
%            Number of functors   :   91 (  12 constant; 0-5 arity)
%            Number of variables  : 1092 (  32 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Bugfix in NUM003-0.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms 
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_zero_is_a_natural,conjecture,
    [--member(empty_set,natural_numbers)]).
%--------------------------------------------------------------------------
