%--------------------------------------------------------------------------
% File     : NUM014-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : If a is a prime and a = b^2/c^2 then a divides b
% Version  : [Chang, 1970] axioms : Incomplete.
% English  : 

% Refs     : Luckham D. (1968), Some Tree-paring Strategies for Theorem 
%            Proving, Michie D. (Ed), Machine Intelligence 3, 95-112.
%          : Chang C.L. (1970), The Unit Proof and the Input Proof 
%            in Theorm Proving, Communications of the ACM 17(4), 698-707.
%          : Reboh R,. Raphael B., Yates R.A., Kling R.E. and
%            Verlarde C. (1972), Stuidy of Automatic Theorem-Proving
%            Programs, Technical Note 72, Artificial Intelligence Centre
%            SRI International, Menlo Park, CA.
%          : Lawrence J.D., Starkey J.D. (1974), Experimental tests 
%            of resolution based theorem-proving strategies, Technical 
%            Report, Computer Science Department, Washington State 
%            University, Pullman, Washington.
%          : Fleisig S., Loveland D.W., Smiley A.K. and Yarmush D.L. 
%            (1974), An Implementation of the Model Elimination Proof 
%            Procedure, Journal of the ACM 21(1), 124-139.
% Source   : [Chang, 1970]
% Names    : Example 6 [Luckham, 1968]
%          : Chang-Lee-7 [Chang, 1970]
%          : NUM1 [Reboh, et al., 1972]
%          : Example 2 [Fleisig, et al., 1974]


% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   1 non-Horn;   4 unit;   6 RR)
%            Number of literals   :   13 (   0 equality)
%            Maximal clause size  :    5 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    4 (   3 constant; 0-1 arity)
%            Number of variables  :   11 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(square,axiom,
    [++product(X,X,square(X))]).

input_clause(commutativity,axiom,
    [--product(X,Y,Z),
     ++product(Y,X,Z)]).

input_clause(divides,axiom,
    [--product(X,Y,Z),
     ++divides(X,Z)]).

input_clause(remainder,axiom,
    [--prime(X),
     --product(Y,Z,U),
     --divides(X,U),
     ++divides(X,Y),
     ++divides(X,Z)]).

input_clause(a_is_prime,hypothesis,
    [++prime(a)]).

input_clause(a_equals_b_squared_by_c_squared,hypothesis,
    [++product(a,square(c),square(b))]).

input_clause(prove_a_divides_b,conjecture,
    [--divides(a,b)]).
%--------------------------------------------------------------------------
