%--------------------------------------------------------------------------
% File     : NUM020-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : a + 1 = successor(a)
% Version  : [Lawrence & Starkey, 1974] axioms :
%            Incomplete > Reduced > Incomplete.
% English  : 

% Refs     : Lawrence J.D., Starkey J.D. (1974), Experimental tests 
%            of resolution based theorem-proving strategies, Technical 
%            Report, Computer Science Department, Washington State 
%            University, Pullman, Washington.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ls55 [Lawrence & Starkey, 1974]
%          : ls55 [Wilson & Minker, 1976]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   8 unit;   7 RR)
%            Number of literals   :   17 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   17 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Surplus transitivity axiom removed.
%          : This is dumb, because there is no need for the clause
%            prove_a_contradiction.
%--------------------------------------------------------------------------
%----Don't include equality axioms because it's incomplete
%include('Axioms/EQU001-0.ax').
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equalish(X,X)]).

input_clause(symmetry,axiom,
    [--equalish(X,Y),
     ++equalish(Y,X)]).

input_clause(transitivity,axiom,
    [--equalish(X,Y),
     --equalish(Y,Z),
     ++equalish(X,Z)]).

input_clause(one_succeeds_zero,axiom,
    [++equalish(1,successor(0))]).

input_clause(deny_addition_lemma,conjecture,
    [--equalish(add(a,successor(0)),successor(a))]).

input_clause(prove_a_contradiction,conjecture,
    [--equalish(successor(A),0)]).
%--------------------------------------------------------------------------
