%--------------------------------------------------------------------------
% File     : NUM022-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Numerator divisble by smaller denominators
% Version  : [Lawrence & Starkey, 1974] axioms : Incomplete.
% English  : If a numerator is divisible by a denominator, then the 
%            numerator is divisible by numbers smaller than the 
%            denominator.

% Refs     : Lawrence J.D., Starkey J.D. (1974), Experimental tests 
%            of resolution based theorem-proving strategies, Technical 
%            Report, Computer Science Department, Washington State 
%            University, Pullman, Washington.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ls651 [Lawrence & Starkey, 1974]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   10 (   1 non-Horn;   3 unit;  10 RR)
%            Number of literals   :   20 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   17 (   1 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the recursive function less axioms 
include('Axioms/NUM001-1.ax').
%----Include the recursive function divides axioms 
include('Axioms/NUM001-2.ax').
%--------------------------------------------------------------------------
input_clause(transitivity,axiom,
    [--equalish(A,B),
     --equalish(C,A),
     ++equalish(C,B)]).

input_clause(a_less_than_b,hypothesis,
    [++less(a,b)]).

input_clause(b_divides_d,hypothesis,
    [++divides(b,d)]).

input_clause(prove_a_less_than_d,conjecture,
    [--less(a,d)]).
%--------------------------------------------------------------------------
