%--------------------------------------------------------------------------
% File     : NUM025-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : If a<b then not b<a
% Version  : [Lawrence & Starkey, 1974] axioms :
%            Incomplete > Reduced > Incomplete.
% English  : 

% Refs     : Lawrence J.D., Starkey J.D. (1974), Experimental tests 
%            of resolution based theorem-proving strategies, Technical 
%            Report, Computer Science Department, Washington State 
%            University, Pullman, Washington.
% Source   : [TPTP]
% Names    : Problem 76t1 [Lawrence & Starkey, 1974]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   16 (   2 non-Horn;   9 unit;   8 RR)
%            Number of literals   :   25 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   26 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : ++less transformed to --greater_or_equal
%          : The surplus transitivity axiom is removed.
%--------------------------------------------------------------------------
%----Don't include equality axioms because it's incomplete
%include('Axioms/EQU001-0.ax').
%----Include recursive function axioms 
include('Axioms/NUM001-0.ax').
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equalish(X,X)]).

input_clause(symmetry,axiom,
    [--equalish(X,Y),
     ++equalish(Y,X)]).

input_clause(transitivity,axiom,
    [--equalish(X,Y),
     --equalish(Y,Z),
     ++equalish(X,Z)]).

%----Include recursive function less axioms 
input_clause(transitivity_of_less,axiom,
    [++greater_or_equalish(A,B),
     ++greater_or_equalish(C,A),
     --greater_or_equalish(C,B)]).

input_clause(smaller_number,axiom,
    [--equalish(add(successor(A),B),C),
     --greater_or_equalish(B,C)]).

input_clause(less_lemma,axiom,
    [++greater_or_equalish(A,B),
     ++equalish(add(successor(predecessor_of_1st_minus_2nd(B,A)),A),B)]).

input_clause(zero_is_the_first_number,axiom,
    [--equalish(successor(A),0)]).

input_clause(no_number_less_than_itself,axiom,
    [++greater_or_equalish(A,A)]).

input_clause(a_less_than_b,hypothesis,
    [--greater_or_equalish(a,b)]).

input_clause(prove_b_not_less_than_a,conjecture,
    [--greater_or_equalish(b,a)]).
%--------------------------------------------------------------------------
