%--------------------------------------------------------------------------
% File     : NUM113-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Ordinal property 13
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays -Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : ORD13 [Quaife]

% Status   : unknown
% Rating   : 0.87 v2.0.0
% Syntax   : Number of clauses    :  269 (  12 non-Horn;  48 unit; 179 RR)
%            Number of literals   :  576 ( 253 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   18 (   0 propositional; 1-3 arity)
%            Number of functors   :   62 (  18 constant; 0-3 arity)
%            Number of variables  :  629 (  41 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Quaife, 1992]. Theorem ORD13 in Quaife's collection.
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. The user may create 
%            an augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set 
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v1.2.1 - Added missing ordinal_class axioms. Quaife has used
%            the NUM117-1 theorem to remove ordinal class elsewhere.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(ordinal_class1,axiom,
    [--ordinal_class(X),
     ++well_ordering(element_relation,X)]).

input_clause(ordinal_class2,axiom,
    [--ordinal_class(X),
     ++subclass(sum_class(X),X)]).

input_clause(ordinal_class3,axiom,
    [--well_ordering(element_relation,X),
     --subclass(sum_class(X),X),
     ++ordinal_class(X)]).

input_clause(ordinal_class_substitution_1,axiom,
    [--equal(A, B),
     --ordinal_class(A),
     ++ordinal_class(B)]).

input_clause(prove_ordinal_property13_1,conjecture,
    [--ordinal_class(ordinal_numbers)]).
%--------------------------------------------------------------------------
