%--------------------------------------------------------------------------
% File     : NUM239-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Transfinite recursion lemma 8
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays -Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : TREC.LEMMA8 [Quaife]

% Status   : unknown
% Rating   : 0.87 v2.0.0
% Syntax   : Number of clauses    :  268 (  12 non-Horn;  51 unit; 178 RR)
%            Number of literals   :  569 ( 252 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   17 (   0 propositional; 1-3 arity)
%            Number of functors   :   65 (  21 constant; 0-3 arity)
%            Number of variables  :  624 (  41 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Quaife, 1992]. Theorem TREC.LEMMA8 in Quaife's 
%            collection.
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. The user may create 
%            an augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set 
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v1.2.1 - Fixed clause prove_transfinite_recursion_lemma8_4.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_transfinite_recursion_lemma8_1,conjecture,
    [++member(x,recursion_equation_functions(z))]).

input_clause(prove_transfinite_recursion_lemma8_2,conjecture,
    [++member(y,recursion_equation_functions(z))]).

input_clause(prove_transfinite_recursion_lemma8_3,conjecture,
    [++member(domain_of(x),domain_of(y))]).

input_clause(prove_transfinite_recursion_lemma8_4,conjecture,
    [--subclass(rest_of(x),rest_of(y))]).
%--------------------------------------------------------------------------
