%--------------------------------------------------------------------------
% File     : PRV009-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Program Verification
% Problem  : A condition from Hoare's FIND program
% Version  : Special.
% English  : 

% Refs     : Bledsoe W.W. (1977), Non-resolution Theorem Proving, 
%            Artificial Intelligence 9(X), 1-35.
%          : Plaisted D.A. (1982), A Simplified Problem Reduction Format, 
%            Artificial Intelligence 18(X), 227-261.
% Source   : [Plaisted, 1982]
% Names    : Hoares FIND [Bledsoe, 1977]
%          : Problem 5.5 [Plaisted, 1982]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   1 non-Horn;   5 unit;   8 RR)
%            Number of literals   :   20 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   6 constant; 0-1 arity)
%            Number of variables  :    8 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++less_or_equal(X,Y),
     ++less(Y,X)]).

input_clause(clause_2,conjecture,
    [++less(j,i)]).

input_clause(clause_3,conjecture,
    [++less_or_equal(m,p)]).

input_clause(clause_4,conjecture,
    [++less_or_equal(p,q)]).

input_clause(clause_5,conjecture,
    [++less_or_equal(q,n)]).

input_clause(clause_6,conjecture,
    [--less_or_equal(m,X),
     --less(X,i),
     --less(j,Y),
     --less_or_equal(Y,n),
     ++less_or_equal(a(X),a(Y))]).

input_clause(clause_7,conjecture,
    [--less_or_equal(m,X),
     --less_or_equal(X,Y),
     --less_or_equal(Y,j),
     ++less_or_equal(a(X),a(Y))]).

input_clause(clause_8,conjecture,
    [--less_or_equal(i,X),
     --less_or_equal(X,Y),
     --less_or_equal(Y,n),
     ++less_or_equal(a(X),a(Y))]).

input_clause(clause_9,conjecture,
    [--less_or_equal(a(p),a(q))]).
%--------------------------------------------------------------------------
