%--------------------------------------------------------------------------
% File     : PUZ016-2.003 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Puzzles
% Problem  : Checkerboard and Dominoes : Row 1, columns 2 and 3 removed
% Version  : [Stickel, 1993] axioms : Special.
%            Theorem formulation : Propositional.
% English  : There is a checker board whose second and third squares from 
%            the first row have been removed. There is a box of dominoes 
%            that are one square by two squares in size. Can you exactly 
%            cover the checker board with dominoes? The size is the 
%            dimension of the checker board.

% Refs     : Stickel (1993), Email to Geoff Sutcliffe.
% Source   : [Stickel, 1993]
% Names    : - [Stickel, 1993]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   30 (   7 non-Horn;   5 unit;  30 RR)
%            Number of literals   :   60 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   12 (  12 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : horizontal(R,C) means there is a horizontal tile from (R,C)
%            to (R,C+1). vertical(R,C) means there is a vertical tile from
%            (R,C) to (R+1,C).
%          : tptp2X: -ftptp -s3 PUZ016-2.g 
%--------------------------------------------------------------------------
input_clause(uncovered1_1_2,conjecture,
    [--horizontal_1_2]).

input_clause(uncovered2_1_2,conjecture,
    [--vertical_1_2]).

input_clause(uncovered2_1_3,conjecture,
    [--vertical_1_3]).

input_clause(uncovered3_1_2,conjecture,
    [--horizontal_1_1]).

input_clause(uncovered3_1_3,conjecture,
    [--horizontal_1_2]).

input_clause(covered_1_1,conjecture,
    [++horizontal_1_1,++vertical_1_1]).

input_clause(covered_2_1,conjecture,
    [++horizontal_2_1,++vertical_2_1,++vertical_1_1]).

input_clause(covered_2_2,conjecture,
    [++horizontal_2_2,
     ++vertical_2_2,
     ++horizontal_2_1,
     ++vertical_1_2]).

input_clause(covered_2_3,conjecture,
    [++vertical_2_3,++horizontal_2_2,++vertical_1_3]).

input_clause(covered_3_1,conjecture,
    [++horizontal_3_1,++vertical_2_1]).

input_clause(covered_3_2,conjecture,
    [++horizontal_3_2,++horizontal_3_1,++vertical_2_2]).

input_clause(covered_3_3,conjecture,
    [++horizontal_3_2,++vertical_2_3]).

input_clause(unique_cover1_1_1,conjecture,
    [--horizontal_1_1,--vertical_1_1]).

input_clause(unique_cover1_2_1,conjecture,
    [--horizontal_2_1,--vertical_2_1]).

input_clause(unique_cover3_2_1,conjecture,
    [--horizontal_2_1,--vertical_1_1]).

input_clause(unique_cover5_2_1,conjecture,
    [--vertical_2_1,--vertical_1_1]).

input_clause(unique_cover1_2_2,conjecture,
    [--horizontal_2_2,--vertical_2_2]).

input_clause(unique_cover2_2_2,conjecture,
    [--horizontal_2_2,--horizontal_2_1]).

input_clause(unique_cover3_2_2,conjecture,
    [--horizontal_2_2,--vertical_1_2]).

input_clause(unique_cover4_2_2,conjecture,
    [--vertical_2_2,--horizontal_2_1]).

input_clause(unique_cover5_2_2,conjecture,
    [--vertical_2_2,--vertical_1_2]).

input_clause(unique_cover6_2_2,conjecture,
    [--horizontal_2_1,--vertical_1_2]).

input_clause(unique_cover4_2_3,conjecture,
    [--vertical_2_3,--horizontal_2_2]).

input_clause(unique_cover5_2_3,conjecture,
    [--vertical_2_3,--vertical_1_3]).

input_clause(unique_cover6_2_3,conjecture,
    [--horizontal_2_2,--vertical_1_3]).

input_clause(unique_cover3_3_1,conjecture,
    [--horizontal_3_1,--vertical_2_1]).

input_clause(unique_cover2_3_2,conjecture,
    [--horizontal_3_2,--horizontal_3_1]).

input_clause(unique_cover3_3_2,conjecture,
    [--horizontal_3_2,--vertical_2_2]).

input_clause(unique_cover6_3_2,conjecture,
    [--horizontal_3_1,--vertical_2_2]).

input_clause(unique_cover6_3_3,conjecture,
    [--horizontal_3_2,--vertical_2_3]).
%--------------------------------------------------------------------------
