%--------------------------------------------------------------------------
% File     : PUZ035-2 : TPTP v1.3.0. Released v2.0.0.
% Domain   : Puzzles
% Problem  : Knights and Knaves #36
% Version  : [Stolzenburg, 1995] axioms : Augmented.
% English  : On an island, there live exactly two types of people: knights 
%            and knaves. Knights always tell the truth and knaves always 
%            lie. I landed on the island, met two inhabitants, asked one of 
%            them: "Is one of you a knight?" and he answered me. What can 
%            be said about the types of the asked and the other person 
%            depending on the answer I get?

% Refs     : Smullyan R.M. (1978), What is the name of this book? :
%            The riddle of Dracula and other logical puzzles, 
%            Prentice-Hall, Englewood Cliffs, NJ.
%          : Stolzenburg F. (1995), Email to Geoff Sutcliffe.
%          : Baumgartner P., Furbach U., Stolzenburg F. (1997), Computing
%            Answers with Model Elimination, Artificial Intelligence 90(1-2),
%            135-176.
% Source   : [Stolzenburg, 1995]
% Names    : 

% Status   : unsatisfiable
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   16 (   6 non-Horn;   2 unit;  16 RR)
%            Number of literals   :   42 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    5 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   6 constant; 0-0 arity)
%            Number of variables  :   12 (   6 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Contains one redundant clause. The query allows for 
%            disjunctive answer A/X/Y = no/knave/knight;yes/knave/knave;
%            yes/knight/knave;yes/knight/knight
%--------------------------------------------------------------------------
%----Everyone's either a knight or a knave
input_clause(everyone_a_knight_or_knave,axiom,
    [--person(X),
     ++isa(X,knight),
     ++isa(X,knave)]).

input_clause(not_both_a_knight_and_knave,axiom,
    [--isa(X,knight),
     --isa(X,knave)]).

input_clause(knights_make_true_statements,axiom,
    [--isa(X,knight),
     ++tell_the_truth(X)]).

input_clause(knaves_make_false_statements,axiom,
    [--isa(X,knave),
     ++lies(X)]).

input_clause(statements_are_true_or_false,axiom,
    [--tell_the_truth(X),
     --lies(X)]).

%----This is redundant
input_clause(statements_are_true_or_false2,axiom,
    [--person(X),
     ++tell_the_truth(X),
     ++lies(X)]).

%----Possible answer scenarios
input_clause(true_one_is_a_knight,axiom,
    [++isa(asked,knight),
     ++isa(other,knight),
     --response(yes),
     --tell_the_truth(asked)]).

input_clause(lie_one_is_a_knight,axiom,
    [++isa(asked,knight),
     ++isa(other,knight),
     --response(no),
     --lies(asked)]).

input_clause(knight_answers1,axiom,
    [--response(yes),
     --lies(asked),
     --isa(Anyone,knight)]).

input_clause(knight_answers2,axiom,
    [--response(no),
     --tell_the_truth(asked),
     --isa(Anyone,knight)]).

input_clause(knight_answers3,axiom,
    [++response(yes),
     --tell_the_truth(asked),
     --isa(Anyone,knight)]).

input_clause(truthful_answer,axiom,
    [++response(no),
     ++isa(asked,knight),
     ++isa(other,knight),
     --tell_the_truth(asked)]).

input_clause(two_answers,axiom,
    [++response(yes),
     ++response(no)]).

%----Two people
input_clause(asked_person,axiom,
    [++person(asked)]).

input_clause(other_person,axiom,
    [++person(other)]).
 
input_clause(prove_answer,conjecture,
    [--response(A),
     --isa(asked,X),
     --isa(other,Y)]).
%--------------------------------------------------------------------------

