%--------------------------------------------------------------------------
% File     : PUZ035-5 : TPTP v1.3.0. Released v2.0.0.
% Domain   : Puzzles
% Problem  : Knights and Knaves #36
% Version  : [Stolzenburg, 1995] axioms. 
%            Theorem formulation : Definite answer "yes".
% English  : On an island, there live exactly two types of people: knights 
%            and knaves. Knights always tell the truth and knaves always 
%            lie. I landed on the island, met two inhabitants, asked one of 
%            them: "Is one of you a knight?" and he answered me. What can 
%            be said about the types of the asked and the other person 
%            depending on the answer I get?

% Refs     : Smullyan R.M. (1978), What is the name of this book? :
%            The riddle of Dracula and other logical puzzles,
%            Prentice-Hall, Englewood Cliffs, NJ.
%          : Stolzenburg F. (1995), Email to Geoff Sutcliffe.
%          : Baumgartner P., Furbach U., Stolzenburg F. (1995), Model 
%            Elimination, Logic Programming and Computing Answers,
%            Proceedings of the 14th International Joint Conference on
%            Artificial Intelligence (Montreal, Canada, 1995), 335-340.
%          : Baumgartner P., Furbach U., Stolzenburg F. (1997), Computing
%            Answers with Model Elimination, Artificial Intelligence 90(1-2),
%            135-176.
% Source   : [Stolzenburg, 1995]
% Names    :

% Status   : unsatisfiable
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :    9 (   2 non-Horn;   1 unit;   6 RR)
%            Number of literals   :   20 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   14 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Query allows for disjunctive answer X/Y = knave/knave ; 
%            knight/knave ; knight/knight
%--------------------------------------------------------------------------
%----Everyone's either a knight or a knave
input_clause(everyone_a_knight_or_knave,axiom,
    [++true(isa(P,knight)), 
     ++true(isa(P,knave))]).

input_clause(not_both_a_knight_and_knave,axiom,
    [--true(isa(P,knight)), 
     --true(isa(P,knave))]).

input_clause(knights_make_true_statements1,axiom,
    [++true(S), 
     --true(isa(P,knight)), 
     --says(P,S)]).

input_clause(knights_make_true_statements2,axiom,
    [++true(isa(P,knight)), 
     --true(S), 
     --says(P,S)]).

%----Definitions for or
input_clause(or1,axiom,
    [++true(A),
     ++true(B),
     --true(or(A,B))]).

input_clause(or2,axiom,
    [++true(or(A,B)),
     --true(A)]).

input_clause(or3,axiom,
    [++true(or(A,B)),
     --true(B)]).

input_clause(says_yes,axiom,
    [++says(asked,or(isa(asked,knight),isa(other,knight)))]).

input_clause(query,conjecture,
    [--true(isa(asked,X)), 
     --true(isa(other,Y))]).
%--------------------------------------------------------------------------
