%--------------------------------------------------------------------------
% File     : PUZ036-1.005 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Puzzles
% Problem  : TopSpin
% Version  : Special.
%            Theorem formulation : Reverse the first SIZE pieces.
% English  : TopSpin consists of a circular track with 20 pieces numbered
%            1..20 placed in the track, with a turnstile in the track that 
%            always holds four consecutive pieces. There are three legal 
%            moves in TopSpin: slide all the pieces round the track in
%            either direction, or flip the turnstile. Given any initial
%            board with scrambled pieces on the track, the problem is to
%            find a sequence of moves that unscrambles the pieces. 

% Refs     : Huang G. (1996), Using OTTER and Prolog to Solve TopSpin,
%            Newsletter of the Association for Automated Reasoning 33.
% Source   : [Huang, 1996]
% Names    : TopSpin [Huang, 1996]

% Status   : unsatisfiable
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   2 unit;   5 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    1 (   0 propositional; 20-20 arity)
%            Number of functors   :   20 (  20 constant; 0-0 arity)
%            Number of variables  :   60 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Could do lots of other permutations of the pieces.
%          : Increasing size does not correspond to increasing difficulty.
%          : tptp2X: -ftptp -s5 PUZ036-1.g 
%--------------------------------------------------------------------------
input_clause(make_like_this,conjecture,
    [--state(p_1,p_2,p_3,p_4,p_5,p_6,p_7,p_8,p_9,p_10,
p_11,p_12,p_13,p_14,p_15,p_16,p_17,p_18,p_19,p_20)]).

input_clause(initial_configuration,hypothesis,
    [++state(p_5,p_4,p_3,p_2,p_1,p_6,p_7,p_8,p_9,p_10,
p_11,p_12,p_13,p_14,p_15,p_16,p_17,p_18,p_19,p_20)]).

input_clause(move_left,axiom,
    [--state(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,
X11,X12,X13,X14,X15,X16,X17,X18,X19,X20),
     ++state(X2,X3,X4,X5,X6,X7,X8,X9,X10,
X11,X12,X13,X14,X15,X16,X17,X18,X19,X20,X1)]).

input_clause(move_right,axiom,
    [--state(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,
X11,X12,X13,X14,X15,X16,X17,X18,X19,X20),
     ++state(X20,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,
X11,X12,X13,X14,X15,X16,X17,X18,X19)]).

input_clause(flip,axiom,
    [--state(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,
X11,X12,X13,X14,X15,X16,X17,X18,X19,X20),
     ++state(X4,X3,X2,X1,X5,X6,X7,X8,X9,X10,
X11,X12,X13,X14,X15,X16,X17,X18,X19,X20)]).
%--------------------------------------------------------------------------
