%--------------------------------------------------------------------------
% File     : RNG003-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Left cancellation for addition
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Overbeek R., McCharen J., and Wos L. (1976), Complexity and 
%            Related Enhancements for Automated Theorem-Proving Programs, 
%            Computer and Mathematics with Applications 2, 1-16.
% Source   : [McCharen, et al., 1976]
% Names    : Established lemma [McCharen, et al., 1976]
%          : Lemma proved [Overbeek, et al., 1976]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   34 (   0 non-Horn;  10 unit;  23 RR)
%            Number of literals   :   87 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :  115 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include ring theory equality axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_plus_c_is_d,hypothesis,
    [++sum(a,c,d)]).

input_clause(b_plus_c_is_d,hypothesis,
    [++sum(b,c,d)]).

input_clause(prove_a_equals_b,conjecture,
    [--equal(a,b)]).
%--------------------------------------------------------------------------
