%--------------------------------------------------------------------------
% File     : RNG008-4 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Boolean rings are commutative
% Version  : [Peterson & Stickel,1981] (equality) axioms.
%            Theorem formulation : Equality.
% English  : Given a ring in which for all x, x * x = x, prove that for 
%            all x and y, x * y = y * x.

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Peterson G.E., Stickel M.E. (1981), Complete Sets of
%            Reductions for Some Equational Theories, Journal of the ACM
%            28(2), 233-264.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.0.0
% Syntax   : Number of clauses    :   25 (   0 non-Horn;  18 unit;   6 RR)
%            Number of literals   :   33 (  33 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   46 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG002-0.ax').
%--------------------------------------------------------------------------
input_clause(boolean_ring,hypothesis,
    [++equal(multiply(X,X),X)]).

input_clause(a_times_b_is_c,conjecture,
    [++equal(multiply(a,b),c)]).

input_clause(prove_commutativity,conjecture,
    [--equal(multiply(b,a),c)]).
%--------------------------------------------------------------------------
