%--------------------------------------------------------------------------
% File     : RNG020-7 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Second part of the linearised form of the associator
% Version  : [Stevens, 1987] (equality) axioms : Augmented.
% English  : The associator can be expressed in another form called 
%            a linearised form. There are three clauses to be proved 
%            to establish the equivalence of the two forms.

% Refs     : Stevens R.L. (1987), Some Experiments in Nonassociative Ring 
%            Theory with an Automated Theorem Prover, In Journal 
%            of Automated Reasoning 3(2), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 211-221.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.88 v2.0.0
% Syntax   : Number of clauses    :   36 (   0 non-Horn;  24 unit;   4 RR)
%            Number of literals   :   49 (  49 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   5 constant; 0-3 arity)
%            Number of variables  :   83 (   2 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
%----The next 7 clause are extra lemmas which Stevens found useful 
input_clause(product_of_inverses,axiom,
    [++equal(multiply(additive_inverse(X),additive_inverse(Y)),
multiply(X,Y))]).

input_clause(inverse_product1,axiom,
    [++equal(multiply(additive_inverse(X),Y),additive_inverse(
multiply(X,Y)))]).

input_clause(inverse_product2,axiom,
    [++equal(multiply(X,additive_inverse(Y)),additive_inverse(
multiply(X,Y)))]).

input_clause(distributivity_of_difference1,axiom,
    [++equal(multiply(X,add(Y,additive_inverse(Z))),add(multiply(X,Y),
additive_inverse(multiply(X,Z))))]).

input_clause(distributivity_of_difference2,axiom,
    [++equal(multiply(add(X,additive_inverse(Y)),Z),add(multiply(X,Z),
additive_inverse(multiply(Y,Z))))]).

input_clause(distributivity_of_difference3,axiom,
    [++equal(multiply(additive_inverse(X),add(Y,Z)),add(
additive_inverse(multiply(X,Y)),additive_inverse(multiply(X,Z))))]).

input_clause(distributivity_of_difference4,axiom,
    [++equal(multiply(add(X,Y),additive_inverse(Z)),add(
additive_inverse(multiply(X,Z)),additive_inverse(multiply(Y,Z))))]).

input_clause(prove_linearised_form2,conjecture,
    [--equal(associator(x,add(u,v),y),add(associator(x,u,y),
associator(x,v,y)))]).
%--------------------------------------------------------------------------
