%--------------------------------------------------------------------------
% File     : RNG028-2 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Ring Theory (Alternative)
% Problem  : Left Moufang identity
% Version  : [Anantharaman & Hsiang, 1990] (equality) axioms : Augmented.
% English  : 

% Refs     : Anantharaman S., Hsiang J. (1990), Automated Proofs of the 
%            Moufang Identities in Alternative Rings, In Journal 
%            of Automated Reasoning 6(1), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 79-110.
% Source   : [Anantharaman & Hsiang, 1990]
% Names    : PROOF III [Anantharaman & Hsiang, 1990]

% Status   : unsatisfiable
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   33 (   0 non-Horn;  21 unit;   7 RR)
%            Number of literals   :   46 (  46 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-3 arity)
%            Number of variables  :   75 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : This how the problem appears in [Anantharaman & Hsiang, 1990].
% Bugfixes : v1.2.1 - Clauses middle_law, associator_skew_symmetry1, and
%            associator_skew_symmetry2, fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Ring theory (equality) axioms 
include('Axioms/RNG004-0.ax').
%--------------------------------------------------------------------------
%----Associator 
input_clause(associator,axiom,
    [++equal(associator(X,Y,Z),add(multiply(multiply(X,Y),Z),
additive_inverse(multiply(X,multiply(Y,Z)))))]).

input_clause(associator_substitution1,axiom,
    [--equal(L,M),
     ++equal(associator(L,N,O),associator(M,N,O))]).

input_clause(associator_substitution2,axiom,
    [--equal(P,Q),
     ++equal(associator(R,P,S),associator(R,Q,S))]).

input_clause(associator_substitution3,axiom,
    [--equal(T,U),
     ++equal(associator(V,W,T),associator(V,W,U))]).

%----The next three clauses are previously proved lemmas 
input_clause(middle_law,axiom,
    [++equal(multiply(multiply(Y,X),Y),multiply(Y,multiply(X,Y)))]).

input_clause(associator_skew_symmetry1,axiom,
    [++equal(associator(Y,X,Z),additive_inverse(associator(X,Y,Z)))]).

input_clause(associator_skew_symmetry2,axiom,
    [++equal(associator(Z,Y,X),additive_inverse(associator(X,Y,Z)))]).

input_clause(prove_left_moufang,conjecture,
    [--equal(multiply(multiply(cx,multiply(cy,cx)),cz),
multiply(cx,multiply(cy,multiply(cx,cz))))]).
%--------------------------------------------------------------------------
