%--------------------------------------------------------------------------
% File     : RNG029-5 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle Moufang identity
% Version  : [Stevens, 1987] (equality) axioms.
% English  : 

% Refs     : Stevens R.L. (1987), Some Experiments in Nonassociative Ring 
%            Theory with an Automated Theorem Prover, In Journal 
%            of Automated Reasoning 3(2), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 211-221.
%          : Stevens R.L. (1988), Challenge Problems from Nonassociative 
%            Rings for Theorem Provers, In Proceedings of the 9th 
%            International Conference on Automated Deduction (Argonne, IL, 
%            1988), (Lecture Notes in Computer Science, 310), 730-734.
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  17 unit;   4 RR)
%            Number of literals   :   42 (  42 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   4 constant; 0-3 arity)
%            Number of variables  :   65 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : In [Stevens, 1988], Stevens presents a slightly different set 
%            of axioms for proving this theorem. The axioms are so similar 
%            to those in RNG004.ax that a separate problems has not been 
%            created.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_middle_law,conjecture,
    [--equal(multiply(multiply(cx,cy),multiply(cz,cx)),
multiply(cx,multiply(multiply(cy,cz),cx)))]).
%--------------------------------------------------------------------------
