%--------------------------------------------------------------------------
% File     : RNG033-8 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : A fairly complex equation with associators
% Version  : [Stevens, 1987] (equality) axioms : Augmented.
% English  : assr(X.Y,Z,W)+assr(X,Y,comm(Z,W)) =
%                X.assr(Y,Z,W)+assr(X,Z,W).Y

% Refs     : Stevens R.L. (1987), Some Experiments in Nonassociative Ring 
%            Theory with an Automated Theorem Prover, In Journal 
%            of Automated Reasoning 3(2), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 211-221.
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   30 (   0 non-Horn;  18 unit;   4 RR)
%            Number of literals   :   43 (  43 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   5 constant; 0-3 arity)
%            Number of variables  :   68 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : This includes the right Moufang identity, which Stevens 
%            suggests in a useful lemma for this problem.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(right_moufang,axiom,
    [++equal(multiply(X,associator(Y,Z,Y)),multiply(commutator(
multiply(X,Y),Z),Y))]).

input_clause(prove_challenge,conjecture,
    [--equal(add(associator(multiply(x,y),z,w),associator(x,y,
commutator(z,w))),add(multiply(x,associator(y,z,w)),multiply(
associator(x,z,w),y)))]).
%--------------------------------------------------------------------------
