%--------------------------------------------------------------------------
% File     : RNG035-7 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : If X*X*X*X = X then the ring is commutative
% Version  : [Lusk & Wos, 1991] (equality) axioms.
% English  : Given a ring in which for all x, x * x * x * x = x, prove 
%            that for all x and y, x * y = y * x.

% Refs     : Lusk E., and Wos L. (1991), Benchmark Problems in Which 
%            Equality Plays the Major Role, MCS-P275-1191, Mathematics and 
%            Computer Science Division, Argonne National Laboratory, 
%            Argonne, IL.
% Source   : [Lusk & Wos, 1991]
% Names    : RT3 [Lusk & Wos, 1991]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  13 unit;   5 RR)
%            Number of literals   :   28 (  28 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   39 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG005-0.ax').
%--------------------------------------------------------------------------
input_clause(x_fourthed_is_x,hypothesis,
    [++equal(multiply(X,multiply(X,multiply(X,X))),X)]).

input_clause(a_times_b_is_c,conjecture,
    [++equal(multiply(a,b),c)]).

input_clause(prove_commutativity,conjecture,
    [--equal(multiply(b,a),c)]).
%--------------------------------------------------------------------------
