%--------------------------------------------------------------------------
% File     : RNG037-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : (X* -Y) + (X*Y) = additive_identity
% Version  : [Wos, 1965] axioms.
% English  : 

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National 
%            Laboratory.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [SPRFN]
% Names    : Problem 24 [Wos, 1965]

% Status   : unsatisfiable
% Rating   : 0.20 v2.0.0
% Syntax   : Number of clauses    :   34 (   0 non-Horn;  10 unit;  23 RR)
%            Number of literals   :   87 (  24 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :  115 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : These are the same axioms as in [McCharen, et al., 1976].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include substitution axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_times_b,hypothesis,
    [++product(a,b,d)]).

input_clause(a_inverse_times_b,hypothesis,
    [++product(a,additive_inverse(b),c)]).

input_clause(prove_sum_is_additive_identity,conjecture,
    [--sum(c,d,additive_identity)]).
%--------------------------------------------------------------------------
