%--------------------------------------------------------------------------
% File     : RNG040-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Ring property 4
% Version  : [Wos, 1965] axioms : Incomplete > Augmented > Complete.
% English  : 

% Refs     : Wos L.A. (1965), Unpublished notes, Argonne National 
%            Laboratory.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [SPRFN]
% Names    : Problem 29 [Wos, 1965]

% Status   : unsatisfiable
% Rating   : 0.11 v2.0.0
% Syntax   : Number of clauses    :   42 (   2 non-Horn;  14 unit;  27 RR)
%            Number of literals   :   99 (  28 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :  124 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : These are the same axioms as in [McCharen, et al., 1976].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include substitution axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(right_multiplicative_identity,hypothesis,
    [++product(A,multiplicative_identity,A)]).

input_clause(left_multiplicative_identity,hypothesis,
    [++product(multiplicative_identity,A,A)]).

input_clause(clause30,hypothesis,
    [++product(A,h(A),multiplicative_identity),
     ++equal(A,additive_identity)]).

input_clause(clause31,hypothesis,
    [++product(h(A),A,multiplicative_identity),
     ++equal(A,additive_identity)]).

input_clause(product_symmetry,hypothesis,
    [--product(A,B,C),
     ++product(B,A,C)]).

input_clause(h_substitution,hypothesis,
    [--equal(A,B),
     ++equal(h(A),h(B))]).

input_clause(b_plus_c,conjecture,
    [++sum(b,c,d)]).

input_clause(d_plus_a,conjecture,
    [++product(d,a,additive_identity)]).

input_clause(b_plus_a,conjecture,
    [++product(b,a,l)]).

input_clause(c_plus_a,conjecture,
    [++product(c,a,n)]).

input_clause(prove_equation,conjecture,
    [--sum(l,n,additive_identity)]).
%--------------------------------------------------------------------------
