%--------------------------------------------------------------------------
% File     : ROB011-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(a + -b) = c then -(a + -(b + k(a + c))) = c, k=1
% Version  : [Winker, 1990] (equality) axioms.
% English  : This is the base step of an induction proof.

% Refs     : Winker S. (1990), Robbins Algebra: Conditions That Make 
%            a Near-Boolean Algebra Boolean, Journal of Automated 
%            Reasoning 6(4), 465-489.
% Source   : [Winker, 1990]
% Names    : Lemma 3.4 [Winker, 1990]

% Status   : unsatisfiable
% Rating   : 0.60 v2.0.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;   8 unit;   9 RR)
%            Number of literals   :   32 (  26 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   35 (   0 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
input_clause(condition,hypothesis,
    [++equal(negate(add(a,negate(b))),c)]).

input_clause(prove_base_step,conjecture,
    [--equal(negate(add(a,negate(add(b,multiply(one,add(a,c)))))),c)]).
%--------------------------------------------------------------------------
