%--------------------------------------------------------------------------
% File     : SET003-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : A set is a subset of the union of itself with itself
% Version  : [Lawrence & Starkey, 1974] axioms.
% English  : 

% Refs     : Lawrence J.D., Starkey J.D. (1974), Experimental tests 
%            of resolution based theorem-proving strategies, Technical 
%            Report, Computer Science Department, Washington State 
%            University, Pullman, Washington.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : ls105 [Lawrence & Starkey, 1974]
%          : ls105 [Wilson & Minker, 1976]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   14 (   3 non-Horn;   2 unit;  12 RR)
%            Number of literals   :   36 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   2 constant; 0-3 arity)
%            Number of variables  :   34 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the member and subset axioms 
include('Axioms/SET001-0.ax').
%----Include the member and union axioms 
include('Axioms/SET001-1.ax').
%--------------------------------------------------------------------------
input_clause(a_union_a_is_aUa,hypothesis,
    [++union(a,a,aUa)]).

input_clause(prove_a_is_a_subset_of_aUa,conjecture,
    [--subset(a,aUa)]).
%--------------------------------------------------------------------------
