%--------------------------------------------------------------------------
% File     : SET013-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : The intersection of sets is commutative
% Version  : [McCharen, et al., 1976] axioms.
%            Theorem formulation : Modified.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [ANL]
% Names    : inters.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.62 v2.0.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;   6 unit;  23 RR)
%            Number of literals   :   74 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   80 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include set axioms 
include('Axioms/SET002-0.ax').
include('Axioms/SET002-0.eq').
%--------------------------------------------------------------------------
input_clause(intersection_of_a_and_b_is_c,hypothesis,
    [++equal_sets(intersection(as,bs),cs)]).

input_clause(intersection_of_b_and_a_is_d,hypothesis,
    [++equal_sets(intersection(bs,as),ds)]).

input_clause(prove_c_equals_d,conjecture,
    [--equal_sets(cs,ds)]).
%--------------------------------------------------------------------------
