%--------------------------------------------------------------------------
% File     : SET016-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : First components of equal ordered pairs are equal
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  162 (   8 non-Horn;  33 unit;  96 RR)
%            Number of literals   :  335 ( 162 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   42 (  12 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : OP4 uses an extra antecedent, not used in OP10. This is the
%            OP10 version.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_ordered_pair_determines_components1_1,conjecture,
    [++equal(ordered_pair(w,x),ordered_pair(y,z))]).

input_clause(prove_ordered_pair_determines_components1_2,conjecture,
    [++member(w,universal_class)]).

%----This is the extra clause from [Quaife, 1992] for OP4
% input_clause(prove_ordered_pair_determines_components1_2a,conjecture,
%     [++member(y,universal_class)]).

input_clause(prove_ordered_pair_determines_components1_3,conjecture,
    [--equal(w,y)]).
%--------------------------------------------------------------------------
