%--------------------------------------------------------------------------
% File     : SET017-3 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Left cancellation for non-ordered pairs
% Version  : [Boyer, et al., 1986] axioms : Augmented.
% English  : 

% Refs     : Boyer R., Lusk E., McCune W., Overbeek R., Stickel M., Wos L. 
%            (1986), Set Theory in First-Order Logic: Clauses for Godel's 
%            Axioms,  Journal of Automated Reasoning 2(3), 287-327.
% Source   : [Boyer, et al., 1986]
% Names    : Lemma 2 [Boyer, et al., 1986]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  271 (  20 non-Horn;  16 unit; 169 RR)
%            Number of literals   :  637 ( 277 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   63 (  10 constant; 0-5 arity)
%            Number of variables  :  736 (  30 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
%----Previously proved lemmas are added at each step 
input_clause(first_components_are_equal,axiom,
    [--little_set(X),
     --little_set(U),
     --equal(ordered_pair(X,Y),ordered_pair(U,V)),
     ++equal(X,U)]).

input_clause(a_little_set,hypothesis,
    [++little_set(a)]).

input_clause(b_little_set,hypothesis,
    [++little_set(b)]).

input_clause(equal_non_ordered_pairs,hypothesis,
    [++equal(non_ordered_pair(c,a),non_ordered_pair(d,b))]).

input_clause(prove_left_cancellation,conjecture,
    [--equal(a,c)]).
%--------------------------------------------------------------------------
