%--------------------------------------------------------------------------
% File     : SET034-6 : TPTP v2.0.0. Bugfixed v1.0.1.
% Domain   : Set Theory
% Problem  : The composition of functions is a function
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : FU6 [Quaife, 1992]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  190 (   8 non-Horn;  41 unit; 120 RR)
%            Number of literals   :  389 ( 181 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   48 (  14 constant; 0-3 arity)
%            Number of variables  :  437 (  33 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : This problem has been removed from its position in Quaife's 
%            order of presentation because it corresponds to one 
%            of Bledsoe, et al.'s [1986] problems. If the user wishes 
%            to create augmented versions of the Quaife problems, the 
%            Theorem name above indicates its position in Quaife's 
%            ordering.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_composition_of_functions_1,conjecture,
    [++function(xf)]).

input_clause(prove_composition_of_functions_2,conjecture,
    [++function(yf)]).

input_clause(prove_composition_of_functions_3,conjecture,
    [--function(compose(xf,yf))]).
%--------------------------------------------------------------------------
