%--------------------------------------------------------------------------
% File     : SET043+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Set Theory
% Problem  : Russell's Paradox
% Version  : Special.
% English  : Russell's paradox : there is no Russell set (a set which 
%            contains exactly those sets which are not members 
%            of themselves).

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 39 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    2 (   0 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    3 (   2 ~  ;   0  |;   0  &)
%                                         (   1 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    2 (   1 singleton;   1 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel39,conjecture,(
    ~ ( ? [X] : 
        ! [Y] : 
          ( element(Y,X)
        <=> ~ element(Y,Y) ) )   )).
%--------------------------------------------------------------------------
