%--------------------------------------------------------------------------
% File     : SET046+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Set Theory
% Problem  : No set of non-circular sets
% Version  : Special.
% English  : A set is circular if it is a member of another set which 
%            in turn is a member of the orginal. Intuitively all sets are 
%            non-circular. Prove there is no set of non-circular sets.

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 42 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    3 (   0 equality)
%            Maximal formula depth :    8 (   8 average)
%            Number of connectives :    4 (   2 ~  ;   0  |;   1  &)
%                                         (   1 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   1 singleton;   1 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel42,conjecture,(
    ~ ( ? [Y] : 
        ! [X] : 
          ( element(X,Y)
        <=> ~ ( ? [Z] : 
                  ( element(X,Z)
                  & element(Z,X) ) ) ) )   )).
%--------------------------------------------------------------------------
