%--------------------------------------------------------------------------
% File     : SET047+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Set Theory
% Problem  : Set equality is symmetric
% Version  : Special.
% English  : Define set equality as having exactly the same members. Prove 
%            set equality is symmetric.

% Refs     : De Champeaux D. (1979), Sub-problem Finder and Instance
%            Checker: Two cooperating preprocessors for theorem provers,
%            Proceedings of the 6th International Joint Conference
%            on Artificial Intelligence, 191-196.
%          : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 43 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    2 (   0 unit)
%            Number of atoms       :    5 (   0 equality)
%            Maximal formula depth :    5 (   4 average)
%            Number of connectives :    3 (   0 ~  ;   0  |;   0  &)
%                                         (   3 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   0 singleton;   5 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : The version in [Haehnle, 1994] is a bit expanded.
%--------------------------------------------------------------------------
input_formula(pel43_1,axiom,(
    ! [X,Y] : 
      ( set_equal(X,Y)
    <=> ! [Z] : 
          ( element(Z,X)
        <=> element(Z,Y) ) )   )).

input_formula(pel43,conjecture,(
    ! [X,Y] : 
      ( set_equal(X,Y)
    <=> set_equal(Y,X) )   )).
%--------------------------------------------------------------------------
