%--------------------------------------------------------------------------
% File     : SET076-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Unorderd pair is a subset
% Version  : [Quaife, 1992] axioms.
% English  : If both members of an unordered pair belong to a set, the 
%            pair is a subset.

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.67 v2.0.0
% Syntax   : Number of clauses    :  162 (   8 non-Horn;  33 unit;  96 RR)
%            Number of literals   :  335 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   41 (  11 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_unordered_pair_is_subset_1,conjecture,
    [++member(x,z)]).

input_clause(prove_unordered_pair_is_subset_2,conjecture,
    [++member(y,z)]).

input_clause(prove_unordered_pair_is_subset_3,conjecture,
    [--subclass(unordered_pair(x,y),z)]).
%--------------------------------------------------------------------------
