%--------------------------------------------------------------------------
% File     : SET085-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Unordered pair that is a singleton
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.44 v2.0.0
% Syntax   : Number of clauses    :  163 (   8 non-Horn;  34 unit;  97 RR)
%            Number of literals   :  336 ( 163 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   41 (  11 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Quaife, 1992]. Theorem SS5.5, in Quaife's collection.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_singleton_in_unordered_pair3_1,conjecture,
    [++equal(unordered_pair(y,z),singleton(x))]).

input_clause(prove_singleton_in_unordered_pair3_2,conjecture,
    [++member(x,universal_class)]).

input_clause(prove_singleton_in_unordered_pair3_3,conjecture,
    [--equal(x,y)]).

input_clause(prove_singleton_in_unordered_pair3_4,conjecture,
    [--equal(x,z)]).
%--------------------------------------------------------------------------
