%--------------------------------------------------------------------------
% File     : SET096-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : There are at most two subsets of a singleton set
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SS12 [Quaife, 1992]

% Status   : unsatisfiable
% Rating   : 0.67 v2.0.0
% Syntax   : Number of clauses    :  162 (   8 non-Horn;  33 unit;  96 RR)
%            Number of literals   :  335 ( 162 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (  10 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_two_subsets_of_singleton_1,conjecture,
    [++subclass(x,singleton(y))]).

input_clause(prove_two_subsets_of_singleton_2,conjecture,
    [--equal(x,null_class)]).

input_clause(prove_two_subsets_of_singleton_3,conjecture,
    [--equal(singleton(y),x)]).
%--------------------------------------------------------------------------
