%--------------------------------------------------------------------------
% File     : SET203-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Corollary to cross product product property 1
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : CP1 cor. [Quaife, 1992]

% Status   : unsatisfiable
% Rating   : 0.11 v2.0.0
% Syntax   : Number of clauses    :  190 (   8 non-Horn;  41 unit; 120 RR)
%            Number of literals   :  389 ( 181 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   50 (  16 constant; 0-3 arity)
%            Number of variables  :  437 (  33 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Quaife proves all these problems by augmenting the axioms
%            with all previously proved theorems. With a few exceptions
%            (the problems that correspond to [Bledsoe, et al., 1986]
%            problems), the TPTP has retained the order in which Quaife
%            presents the problems. The user may create an augmented
%            version of this problem by adding all previously proved
%            theorems (the ones that correspond to [Bledsoe, et al., 
%            1986] are easily identified and positioned using Quaife's
%            naming scheme).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_to_X_product_property1_1,conjecture,
    [++member(u,x)]).

input_clause(prove_corollary_to_X_product_property1_2,conjecture,
    [++member(v,y)]).

input_clause(prove_corollary_to_X_product_property1_3,conjecture,
    [--member(ordered_pair(u,v),cross_product(universal_class,
universal_class))]).
%--------------------------------------------------------------------------
