%--------------------------------------------------------------------------
% File     : SET448-6 : TPTP v2.0.0. Bugfixed v1.0.1.
% Domain   : Set Theory
% Problem  : Function property 4
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : FU15 [Quaife]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  191 (   8 non-Horn;  42 unit; 121 RR)
%            Number of literals   :  390 ( 182 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   49 (  15 constant; 0-3 arity)
%            Number of variables  :  437 (  33 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Quaife, 1992], Theorem FU15 in Quaife's collection
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. With a few exceptions 
%            (the problems that correspond to [Bledsoe, et al., 1986] 
%            problems), the TPTP has retained the order in which Quaife 
%            presents the problems. The user may create an augmented 
%            version of this problem by adding all previously proved 
%            theorems (the ones that correspond to [Bledsoe, et al., 1986] 
%            are easily identified and positioned using Quaife's naming 
%            scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_function_property4_1,conjecture,
    [++function(x)]).

input_clause(prove_function_property4_2,conjecture,
    [++subclass(y,x)]).

input_clause(prove_function_property4_3,conjecture,
    [++subclass(z,domain_of(y))]).

input_clause(prove_function_property4_4,conjecture,
    [--equal(restrict(x,z,universal_class),restrict(y,z,
universal_class))]).
%--------------------------------------------------------------------------
