%--------------------------------------------------------------------------
% File     : SET543-6 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Set Theory
% Problem  : Corollary to application property 10
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : AP10 cor. [Quaife]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  191 (   8 non-Horn;  42 unit; 121 RR)
%            Number of literals   :  390 ( 181 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   49 (  15 constant; 0-3 arity)
%            Number of variables  :  437 (  33 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Quaife, 1992], Theorem AP10 corollary in Quaife's 
%            collection
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. With a few exceptions 
%            (the problems that correspond to [Bledsoe, et al., 1986] 
%            problems), the TPTP has retained the order in which Quaife 
%            presents the problems. The user may create an augmented 
%            version of this problem by adding all previously proved 
%            theorems (the ones that correspond to [Bledsoe, et al., 1986] 
%            are easily identified and positioned using Quaife's naming 
%            scheme).
%          : tptp2X: SET543-6.p
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v1.2.1 - Fixed prove_corollary_to_application_property10_1.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_to_application_property10_1,conjecture,
    [++single_valued_class(xf)]).

input_clause(prove_corollary_to_application_property10_2,conjecture,
    [++member(x,y)]).

input_clause(prove_corollary_to_application_property10_3,conjecture,
    [++member(x,domain_of(xf))]).

input_clause(prove_corollary_to_application_property10_4,conjecture,
    [--member(apply(xf,x),image(xf,y))]).
%--------------------------------------------------------------------------
