%--------------------------------------------------------------------------
% File     : SET563-6 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Set Theory
% Problem  : Compatible function property 3
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : CF6 [Quaife, 1992]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :  190 (   8 non-Horn;  41 unit; 120 RR)
%            Number of literals   :  389 ( 181 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   51 (  17 constant; 0-3 arity)
%            Number of variables  :  437 (  33 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. With a few exceptions 
%            (the problems that correspond to [Bledsoe, et al., 1986] 
%            problems), the TPTP has retained the order in which Quaife 
%            presents the problems. The user may create an augmented 
%            version of this problem by adding all previously proved 
%            theorems (the ones that correspond to [Bledsoe, et al., 1986] 
%            are easily identified and positioned using Quaife's naming 
%            scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v1.2.1 - Fixed prove_compatible_function_property3_3.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_compatible_function_property3_1,conjecture,
    [++compatible(xh1,xf1,xf2)]).

input_clause(prove_compatible_function_property3_2,conjecture,
    [++compatible(xh2,xf2,xf3)]).

input_clause(prove_compatible_function_property3_3,conjecture,
    [--subclass(range_of(xh1),domain_of(xh2))]).
%--------------------------------------------------------------------------
