%--------------------------------------------------------------------------
% File     : SYN007-1.002 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 71
% Version  : Special.
%            Theorem formulation : For N = 2.
% English  : Clausal forms of statements of the form :
%            (p1 <-> (p2 <->...(pN <-> (p1 <-> (p2 <->...<-> pN)...)

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Urquhart A. (1987), Hard Examples for Resolution, Journal 
%            of the ACM 34(1), 209-219.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 71 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   5 non-Horn;   0 unit;   8 RR)
%            Number of literals   :   24 (   0 equality)
%            Maximal clause size  :    4 (   3 average)
%            Number of predicates :    2 (   2 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : The number of distinct letters in U-N is N. The number 
%            of occurrences of sentence letters in 2N. The number 
%            of clauses goes up dramatically as N increases, but I don't 
%            think it shows that the problems are dramatically more 
%            difficult as N increases. Rather, it's that the awkward 
%            clause form representation comes to the fore most 
%            dramatically with embedded biconditionals. On all other 
%            measures of complexity, one should say that the problems 
%            increase linearly in difficulty. Urquhart says that the proof 
%            size of any resolution system increases exponentially with 
%            increase in N.
%          : This problem can also be done in terms of graphs, 
%            as described in Pelletier Problem 74.
%--------------------------------------------------------------------------
input_clause(c_1,conjecture,
    [++p1,--p2,--p1,++p2]).

input_clause(c_2,conjecture,
    [++p1,--p2]).

input_clause(c_3,conjecture,
    [++p1,++p2]).

input_clause(c_4,conjecture,
    [++p1,++p2,--p1,--p2]).

input_clause(c_5,conjecture,
    [--p1,++p2]).

input_clause(c_6,conjecture,
    [--p1,++p2,++p1,--p2]).

input_clause(c_7,conjecture,
    [--p1,--p2,++p1,++p2]).

input_clause(c_8,conjecture,
    [--p1,--p2]).
%--------------------------------------------------------------------------
