%--------------------------------------------------------------------------
% File     : SYN036+2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Andrews Challenge Problem
% Version  : Special.
%            Theorem formulation : As in [Andrews, 1986].
% English  : 

% Refs     : Andrews P.B. (1986), An Introduction to Mathematical Logic and
%            Type Theory: To Truth Through Proof, Academic Press.
%          : De Champeaux D. (1979), Sub-problem Finder and Instance
%            Checker: Two Co-operating Preprocessors for Theorem Provers,
%            Proceedings of the 6th International Joint Conference
%            on Artificial Intelligence, 191-196.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated
%            Reasoning 4(2), 235-236.
%          : Andrews P.B. (1994), Email to Geoff Sutcliffe.
% Source   : [Andrews, 1994]
% Names    : X2129 [Andrews, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    8 (   0 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    7 (   0 ~  ;   0  |;   0  &)
%                                         (   7 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    8 (   8 singleton;   4 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            corrected in [Pelletier, 1988].
%--------------------------------------------------------------------------
input_formula(pel34,conjecture,(
    ( ? [X] : 
      ! [Y] : 
        ( big_p(X)
      <=> big_p(Y) )
  <=> ( ? [U] : big_q(U)
    <=> ! [W] : big_p(W) ) )
<=> ( ? [X1] : 
      ! [Y1] : 
        ( big_q(X1)
      <=> big_q(Y1) )
  <=> ( ? [U1] : big_p(U1)
    <=> ! [W1] : big_q(W1) ) )   )).
%--------------------------------------------------------------------------
