%--------------------------------------------------------------------------
% File     : SYN040+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 1
% Version  : Special.
% English  : A biconditional version of the 'most difficult' theorem 
%            proved by the original Logic Theorist.

% Refs     : Newell A., Shaw J.C., Simon H. (1963), Empirical Explorations
%            with the Logic Theory Machine: A Case Study in Heuristics,
%            In Feigenbaum E., Feldman J. (Eds), Computers and Thought,
%            McGraw-Hill, New York, USA, 109-133.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 1 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    4 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    5 (   2 ~  ;   0  |;   0  &)
%                                         (   1 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   2 propositional; 0-0 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    0 (   0 average)

% Comments : [Newell, Shaw & Simon, 1963] first appeared in 1957, as cited
%            in [Pelletier, 1986]. The 1963 version is a reprint.
%--------------------------------------------------------------------------
input_formula(pel1,conjecture,(
    ( p
   => q )
<=> ( ~ q
   => ~ p )   )).
%--------------------------------------------------------------------------
