%--------------------------------------------------------------------------
% File     : SYN044+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 10
% Version  : Special.
% English  : A reasonably simple probloem designed to see whether 
%            'natural' systems correctly manipulate premises.

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 10 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    3 (   2 average)
%            Number of connectives :    6 (   0 ~  ;   1  |;   1  &)
%                                         (   1 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   3 propositional; 0-0 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel10_1,axiom,(
    q
 => r   )).

input_formula(pel10_2,axiom,(
    r
 => ( p
    & q )   )).

input_formula(pel10_3,axiom,(
    p
 => ( q
    | r )   )).

input_formula(pel10,conjecture,(
    p
<=> q   )).
%--------------------------------------------------------------------------
