%--------------------------------------------------------------------------
% File     : SYN047+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 17
% Version  : Special.
% English  : A problem which appears to not be provable by Bledsoe,
%            et al., (1972). (For details of why not, see Pelletier
%            (1982) p. 135f.)

% Refs     : Bledsoe W., Boyer R. and Nenneman W. (1972), Computer Proofs
%            of Limit Theorems, Artificial Intelligence 3(X), 27-60.
%          : Pelletier F.J. (1982), Completely non-clausal, completely
%            heuristically driven automatic theorem proving, Technical
%            Report TR82-7, Department of Computer Science, Edmonton,
%            Alberta.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 17 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :   12 (   3 ~  ;   4  |;   2  &)
%                                         (   1 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   4 propositional; 0-0 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel17,conjecture,(
    ( ( p
      & ( q
       => r ) )
   => s )
<=> ( ( ( ~ p
        | q )
      | s )
    & ( ( ~ p
        | ~ r )
      | s ) )   )).
%--------------------------------------------------------------------------
