%--------------------------------------------------------------------------
% File     : SYN047-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 17
% Version  : Special.
% English  : A problem which appears to not be provable by Bledsoe, 
%            et al., (1972). (For details of why not, see Pelletier 
%            (1982) p. 135f.)

% Refs     : Bledsoe W., Boyer R., Nenneman W. (1972), Computer Proofs of 
%            Limit Theorems, Artificial Intelligence 3(X), 27-60.
%          : Pelletier F.J. (1982), Completely non-clausal, completely 
%            heuristically driven automatic theorem proving, Technical 
%            Report TR82-7, Department of Computer Science, Edmonton, 
%            Alberta.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 17 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   1 non-Horn;   2 unit;   5 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    4 (   4 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++p]).

input_clause(clause_2,conjecture,
    [--p,++q,++s]).

input_clause(clause_3,conjecture,
    [--p,--r,++s]).

input_clause(clause_4,conjecture,
    [--s]).

input_clause(clause_5,conjecture,
    [--q,++r]).
%--------------------------------------------------------------------------
