%--------------------------------------------------------------------------
% File     : SYN054+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 24
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 24 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    5 (   0 unit)
%            Number of atoms       :   12 (   0 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :    9 (   2 ~  ;   2  |;   2  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    6 (   2 singleton;   2 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel24_1,axiom,(
    ~ ( ? [X] : 
          ( big_s(X)
          & big_q(X) ) )   )).

input_formula(pel24_2,axiom,(
    ! [X] : 
      ( big_p(X)
     => ( big_q(X)
        | big_r(X) ) )   )).

input_formula(pel24_3,axiom,(
    ~ ( ? [X] : big_p(X) )
 => ? [Y] : big_q(Y)   )).

input_formula(pel24_4,axiom,(
    ! [X] : 
      ( ( big_q(X)
        | big_r(X) )
     => big_s(X) )   )).

input_formula(pel24,conjecture,(
    ? [X] : 
      ( big_p(X)
      & big_r(X) )   )).
%--------------------------------------------------------------------------
