%--------------------------------------------------------------------------
% File     : SYN056+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 26
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 26 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    3 (   0 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :    7 (   0 ~  ;   0  |;   1  &)
%                                         (   3 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    6 (   2 singleton;   4 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel26_1,axiom,(
    ? [X] : big_p(X)
<=> ? [Y] : big_q(Y)   )).

input_formula(pel26_2,axiom,(
    ! [X,Y] : 
      ( ( big_p(X)
        & big_q(Y) )
     => ( big_r(X)
      <=> big_s(Y) ) )   )).

input_formula(pel26,conjecture,(
    ! [X] : 
      ( big_p(X)
     => big_r(X) )
<=> ! [Y] : 
      ( big_q(Y)
     => big_s(Y) )   )).
%--------------------------------------------------------------------------
