%--------------------------------------------------------------------------
% File     : SYN057+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 27
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 27 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    5 (   0 unit)
%            Number of atoms       :   13 (   0 equality)
%            Maximal formula depth :    5 (   4 average)
%            Number of connectives :   12 (   4 ~  ;   0  |;   3  &)
%                                         (   0 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    6 (   0 singleton;   4 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel27_1,axiom,(
    ? [X] : 
      ( big_f(X)
      & ~ big_g(X) )   )).

input_formula(pel27_2,axiom,(
    ! [X] : 
      ( big_f(X)
     => big_h(X) )   )).

input_formula(pel27_3,axiom,(
    ! [X] : 
      ( ( big_j(X)
        & big_i(X) )
     => big_f(X) )   )).

input_formula(pel27_4,axiom,(
    ? [X] : 
      ( big_h(X)
      & ~ big_g(X) )
 => ! [X1] : 
      ( big_i(X1)
     => ~ big_h(X1) )   )).

input_formula(pel27,conjecture,(
    ! [X] : 
      ( big_j(X)
     => ~ big_i(X) )   )).
%--------------------------------------------------------------------------
