%--------------------------------------------------------------------------
% File     : SYN058+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 28
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated
%            Reasoning 4(2), 235-236.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 28 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   12 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    8 (   0 ~  ;   1  |;   2  &)
%                                         (   0 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    7 (   3 singleton;   5 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            corrected in [Pelletier, 1988].
%--------------------------------------------------------------------------
input_formula(pel28_1,axiom,(
    ! [X] : 
      ( big_p(X)
     => ! [Z] : big_q(Z) )   )).

input_formula(pel28_2,axiom,(
    ! [X] : 
      ( big_q(X)
      | big_r(X) )
 => ? [X1] : 
      ( big_q(X1)
      & big_s(X1) )   )).

input_formula(pel28_3,axiom,(
    ? [X] : big_s(X)
 => ! [X1] : 
      ( big_f(X1)
     => big_g(X1) )   )).

input_formula(pel28,conjecture,(
    ! [X] : 
      ( ( big_p(X)
        & big_f(X) )
     => big_g(X) )   )).
%--------------------------------------------------------------------------
