%--------------------------------------------------------------------------
% File     : SYN059+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 29
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 29 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    3 (   2 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    7 (   0 ~  ;   0  |;   3  &)
%                                         (   1 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    6 (   2 singleton;   4 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel29_1,axiom,(
    ? [X] : big_f(X)   )).

input_formula(pel29_2,axiom,(
    ? [Y] : big_g(Y)   )).

input_formula(pel29,conjecture,(
    ( ! [X] : 
        ( big_f(X)
       => big_h(X) )
    & ! [U] : 
        ( big_g(U)
       => big_j(U) ) )
<=> ! [W,Y] : 
      ( ( big_f(W)
        & big_g(Y) )
     => ( big_h(W)
        & big_j(Y) ) )   )).
%--------------------------------------------------------------------------
