%--------------------------------------------------------------------------
% File     : SYN063+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 33
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 33 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :   12 (   3 ~  ;   4  |;   2  &)
%                                         (   1 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    3 (   3 constant; 0-0 arity)
%            Number of variables   :    2 (   2 singleton;   2 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : This is a monadic predicate formulation of Pelletier 17.
%--------------------------------------------------------------------------
input_formula(pel33,conjecture,(
    ! [X] : 
      ( ( big_p(a)
        & ( big_p(X)
         => big_p(b) ) )
     => big_p(c) )
<=> ! [X1] : 
      ( ( ~ big_p(a)
        | big_p(X1)
        | big_p(c) )
      & ( ~ big_p(a)
        | ~ big_p(b)
        | big_p(c) ) )   )).
%--------------------------------------------------------------------------
