%--------------------------------------------------------------------------
% File     : SYN063-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 33
% Version  : Special.
% English  : 

% Refs     : Kalish D., Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 33 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   3 non-Horn;   2 unit;   4 RR)
%            Number of literals   :   22 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    5 (   5 constant; 0-0 arity)
%            Number of variables  :    4 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : This is a monadic predicate formulation of Pelletier 17.
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++big_p(a)]).

input_clause(clause_2,conjecture,
    [--big_p(a),
     ++big_p(X),
     ++big_p(c),
     ++big_p(Y)]).

input_clause(clause_3,conjecture,
    [--big_p(a),
     --big_p(b),
     ++big_p(c)]).

input_clause(clause_4,conjecture,
    [--big_p(c)]).

input_clause(clause_5,conjecture,
    [--big_p(e),
     ++big_p(b),
     --big_p(d)]).

input_clause(clause_6,conjecture,
    [--big_p(a),
     ++big_p(X),
     ++big_p(c),
     --big_p(d),
     ++big_p(b)]).

input_clause(clause_7,conjecture,
    [--big_p(e),
     ++big_p(b),
     --big_p(a),
     ++big_p(X),
     ++big_p(c)]).
%--------------------------------------------------------------------------
