%--------------------------------------------------------------------------
% File     : SYN065+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 36
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 36 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   3 unit)
%            Number of atoms       :    8 (   0 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :    4 (   0 ~  ;   2  |;   0  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    9 (   6 singleton;   6 !;   3 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel36_1,axiom,(
    ! [X] : 
    ? [Y] : big_f(X,Y)   )).

input_formula(pel36_2,axiom,(
    ! [X] : 
    ? [Y] : big_g(X,Y)   )).

input_formula(pel36_3,axiom,(
    ! [X,Y] : 
      ( ( big_f(X,Y)
        | big_g(X,Y) )
     => ! [Z] : 
          ( ( big_f(Y,Z)
            | big_g(Y,Z) )
         => big_h(X,Z) ) )   )).

input_formula(pel36,conjecture,(
    ! [X] : 
    ? [Y] : big_h(X,Y)   )).
%--------------------------------------------------------------------------
