%--------------------------------------------------------------------------
% File     : SYN066+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 37
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 37 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   1 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :    7 (   1 ~  ;   0  |;   2  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   13 (   8 singleton;   6 !;   7 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel37_1,axiom,(
    ! [Z] : 
    ? [W] : 
    ! [X] : 
    ? [Y] : 
      ( big_p(X,Z)
     => ( ( big_p(Y,W)
          & big_p(Y,Z) )
        & ( big_p(Y,W)
         => ? [U] : big_q(U,W) ) ) )   )).

input_formula(pel37_2,axiom,(
    ! [X,Z] : 
      ( ~ big_p(X,Z)
     => ? [Y] : big_q(Y,Z) )   )).

input_formula(pel37_3,axiom,(
    ? [X,Y] : big_q(X,Y)
 => ! [Z] : big_r(Z,Z)   )).

input_formula(pel37,conjecture,(
    ! [X] : 
    ? [Y] : big_r(X,Y)   )).
%--------------------------------------------------------------------------
