%--------------------------------------------------------------------------
% File     : SYN067+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 38
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 38 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   18 (   0 equality)
%            Maximal formula depth :    9 (   9 average)
%            Number of connectives :   20 (   3 ~  ;   4  |;  10  &)
%                                         (   1 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   10 (   0 singleton;   2 !;   8 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel38,conjecture,(
    ! [X] : 
      ( ( big_p(a)
        & ( big_p(X)
         => ? [Y] : 
              ( big_p(Y)
              & big_r(X,Y) ) ) )
     => ? [Z,W] : 
          ( big_p(Z)
          & big_r(X,W)
          & big_r(W,Z) ) )
<=> ! [X1] : 
      ( ( ~ big_p(a)
        | big_p(X1)
        | ? [Z1,W1] : 
            ( big_p(Z1)
            & big_r(X1,W1)
            & big_r(W1,Z1) ) )
      & ( ~ big_p(a)
        | ~ ( ? [Y1] : 
                ( big_p(Y1)
                & big_r(X1,Y1) ) )
        | ? [Z2,W2] : 
            ( big_p(Z2)
            & big_r(X1,W2)
            & big_r(W2,Z2) ) ) )   )).
%--------------------------------------------------------------------------
