%--------------------------------------------------------------------------
% File     : SYN068+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 44
% Version  : Special.
% English  : 

% Refs     : Kalish D, and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt & Brace.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 44 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    3 (   0 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :    9 (   2 ~  ;   0  |;   5  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    6 (   0 singleton;   2 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel44_1,axiom,(
    ! [X] : 
      ( big_f(X)
     => ( ? [Y] : 
            ( big_g(Y)
            & big_h(X,Y) )
        & ? [Y1] : 
            ( big_g(Y1)
            & ~ big_h(X,Y1) ) ) )   )).

input_formula(pel44_2,axiom,(
    ? [X] : 
      ( big_j(X)
      & ! [Y] : 
          ( big_g(Y)
         => big_h(X,Y) ) )   )).

input_formula(pel44,conjecture,(
    ? [X] : 
      ( big_j(X)
      & ~ big_f(X) )   )).
%--------------------------------------------------------------------------
