%--------------------------------------------------------------------------
% File     : SYN069+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 45
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 45 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   18 (   0 equality)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :   16 (   2 ~  ;   0  |;  10  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    9 (   0 singleton;   5 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel45_1,axiom,(
    ! [X] : 
      ( ( big_f(X)
        & ! [Y] : 
            ( ( big_g(Y)
              & big_h(X,Y) )
           => big_j(X,Y) ) )
     => ! [Y1] : 
          ( ( big_g(Y1)
            & big_h(X,Y1) )
          & big_k(Y1) ) )   )).

input_formula(pel45_2,axiom,(
    ~ ( ? [Y] : 
          ( big_l(Y)
          & big_k(Y) ) )   )).

input_formula(pel45_3,axiom,(
    ? [X] : 
      ( ( big_f(X)
        & ! [Y] : 
            ( big_h(X,Y)
           => big_l(Y) ) )
      & ! [Y1] : 
          ( ( big_g(Y1)
            & big_h(X,Y1) )
         => big_j(X,Y1) ) )   )).

input_formula(pel45,conjecture,(
    ? [X] : 
      ( big_f(X)
      & ~ ( ? [Y] : 
              ( big_g(Y)
              & big_h(X,Y) ) ) )   )).
%--------------------------------------------------------------------------
