%--------------------------------------------------------------------------
% File     : SYN070+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 46
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 46 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   18 (   0 equality)
%            Maximal formula depth :    8 (   5 average)
%            Number of connectives :   18 (   4 ~  ;   0  |;   8  &)
%                                         (   0 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    8 (   0 singleton;   6 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel46_1,axiom,(
    ! [X,Y] : 
      ( ( big_f(X)
        & ( ( big_f(Y)
            & big_h(Y,X) )
         => big_g(Y) ) )
     => big_g(X) )   )).

input_formula(pel46_2,axiom,(
    ? [X] : 
      ( big_f(X)
      & ~ big_g(X) )
 => ? [X1] : 
      ( ( big_f(X1)
        & ~ big_g(X1) )
      & ! [Y] : 
          ( ( big_f(Y)
            & ~ big_g(Y) )
         => big_j(X1,Y) ) )   )).

input_formula(pel46_3,axiom,(
    ! [X,Y] : 
      ( ( big_f(X)
        & big_f(Y)
        & big_h(X,Y) )
     => ~ big_j(Y,X) )   )).

input_formula(pel46,conjecture,(
    ! [X] : 
      ( big_f(X)
     => big_g(X) )   )).
%--------------------------------------------------------------------------
