%--------------------------------------------------------------------------
% File     : SYN071+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 48
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Rudnicki P. (1993), Email to Geoff Sutcliffe.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 48 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    3 (   1 unit)
%            Number of atoms       :    6 (   6 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :    3 (   0 ~  ;   0  |;   1  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    6 (   0 singleton;   6 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : Pelletier says that Rudnicki has not published this problem 
%            anywhere (see [Pelletier, 1986]).
%          : Rudnicki [Rudnicki, 1993] says "I have seen it for the first
%            time around 1977, it was shown to me by A. Trybulec but I am
%            sure it is folklore."
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(pel48_1,axiom,(
    equal(a,b)
  | equal(c,d)   )).

input_formula(pel48_2,axiom,(
    equal(a,c)
  | equal(b,d)   )).

input_formula(pel48,conjecture,(
    equal(a,d)
  | equal(b,c)   )).
%--------------------------------------------------------------------------
