%--------------------------------------------------------------------------
% File     : SYN074+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 51
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 51 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    7 (   1 unit)
%            Number of atoms       :   18 (  12 equality)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :   11 (   0 ~  ;   0  |;   4  &)
%                                         (   3 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   20 (   4 singleton;  16 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(big_f_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & big_f(A,C) )
     => big_f(B,C) )   )).

input_formula(big_f_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & big_f(C,A) )
     => big_f(C,B) )   )).

%----Problem axioms
input_formula(pel51_1,axiom,(
    ? [Z,W] : 
    ! [X,Y] : 
      ( big_f(X,Y)
    <=> ( equal(X,Z)
        & equal(Y,W) ) )   )).

input_formula(pel51,conjecture,(
    ? [Z] : 
    ! [X] : 
      ( ? [W] : 
        ! [Y] : 
          ( big_f(X,Y)
        <=> equal(Y,W) )
    <=> equal(X,Z) )   )).
%--------------------------------------------------------------------------
