%--------------------------------------------------------------------------
% File     : SYN078+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 56
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated
%            Reasoning 4(2), 235-236.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 56 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    6 (   1 unit)
%            Number of atoms       :   16 (  10 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   10 (   0 ~  ;   0  |;   3  &)
%                                         (   1 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   0 constant; 1-1 arity)
%            Number of variables   :   13 (   0 singleton;  12 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            corrected in [Pelletier, 1988].
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(f_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(f(A),f(B)) )   )).

input_formula(big_p_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & big_p(A) )
     => big_p(B) )   )).

%----Problem axioms
input_formula(pel56,conjecture,(
    ! [X] : 
      ( ? [Y] : 
          ( big_p(Y)
          & equal(X,f(Y)) )
     => big_p(X) )
<=> ! [U] : 
      ( big_p(U)
     => big_p(f(U)) )   )).
%--------------------------------------------------------------------------
