%--------------------------------------------------------------------------
% File     : SYN083+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 61
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 61 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    7 (   3 unit)
%            Number of atoms       :   12 (  12 equality)
%            Maximal formula depth :    4 (   2 average)
%            Number of connectives :    5 (   0 ~  ;   0  |;   1  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   19 (   0 singleton;  19 !;   0 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(f_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(f(A,C),f(B,C)) )   )).

input_formula(f_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(f(C,A),f(C,B)) )   )).

%----Problem axioms
input_formula(p61_1,axiom,(
    ! [X,Y,Z] : equal(f(X,f(Y,Z)),f(f(X,Y),Z))   )).

input_formula(pel61,conjecture,(
    ! [X,Y,Z,W] : equal(f(X,f(Y,f(Z,W))),f(f(f(X,Y),Z),W))   )).
%--------------------------------------------------------------------------
