%--------------------------------------------------------------------------
% File     : SYN083-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 61
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 61 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitutivity2,axiom,
    [--equal(D,E),
     ++equal(f(F,D),f(F,E))]).

input_clause(f_is_associative,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),Z))]).

input_clause(prove_this,conjecture,
    [--equal(f(a,f(b,f(c,d))),f(f(f(a,b),c),d))]).
%--------------------------------------------------------------------------
