%--------------------------------------------------------------------------
% File     : SYN084+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 62
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated 
%            Reasoning 4(2), 235-236.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
%          : Pelletier F.J. (1995), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 62 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   10 (   0 equality)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :   12 (   3 ~  ;   4  |;   2  &)
%                                         (   1 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    2 (   1 constant; 0-1 arity)
%            Number of variables   :    2 (   0 singleton;   2 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            'corrected' in [Pelletier, 1988]. The 1988 version is
%            broken too [Pelletier, 1995]. This is the correct version.
%--------------------------------------------------------------------------
input_formula(pel62,conjecture,(
    ! [X] : 
      ( ( big_p(a)
        & ( big_p(X)
         => big_p(f(X)) ) )
     => big_p(f(f(X))) )
<=> ! [X1] : 
      ( ( ~ big_p(a)
        | big_p(X1)
        | big_p(f(f(X1))) )
      & ( ~ big_p(a)
        | ~ big_p(f(X1))
        | big_p(f(f(X1))) ) )   )).
%--------------------------------------------------------------------------
