%--------------------------------------------------------------------------
% File     : SYN084-2 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 62
% Version  : Special.
%            Theorem formulation : Different clausification.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated 
%            Reasoning 4(2), 235-236.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
%          : Pelletier F.J. (1995), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 62 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   2 non-Horn;   1 unit;   6 RR)
%            Number of literals   :   19 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-1 arity)
%            Number of variables  :    2 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            'corrected' in [Pelletier, 1988]. The 1988 FOF version is
%            wrong and the clauses are incorrect too [Pelletier, 1995].
%          : This CNF has been created from a corrected (<=> as the main
%            connective) version of the [Pelletier, 1988] FOF version,
%            as prescribed in [Pelletier, 1995].
%--------------------------------------------------------------------------
input_clause(pel62_1,conjecture,
    [++big_p(a)]).

input_clause(pel62_2,conjecture,
    [++big_p(f(f(A))),
     ++big_p(A),
     --big_p(a)]).

input_clause(pel62_3,conjecture,
    [++big_p(f(f(A))),
     --big_p(f(A)),
     --big_p(a)]).

input_clause(pel62_4,conjecture,
    [--big_p(f(f(sk1))),
     --big_p(f(f(sk2)))]).

input_clause(pel62_5,conjecture,
    [++big_p(f(sk1)),
     ++big_p(f(sk2)),
     --big_p(sk1),
     --big_p(sk2)]).

input_clause(pel62_6,conjecture,
    [++big_p(f(sk1)),
     --big_p(sk1),
     --big_p(f(f(sk2)))]).

input_clause(pel62_7,conjecture,
    [++big_p(f(sk2)),
     --big_p(sk2),
     --big_p(f(f(sk1)))]).
%--------------------------------------------------------------------------
