%--------------------------------------------------------------------------
% File     : SYN099-1.003 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(m(t(2,3)))
% Version  : Special.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : Sym(M(T2n)) [Plaisted, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   50 (  12 non-Horn;  14 unit;  49 RR)
%            Number of literals   :  110 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :   24 (   0 propositional; 1-1 arity)
%            Number of functors   :    1 (   1 constant; 0-0 arity)
%            Number of variables  :   38 (   2 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%          : tptp2X: -ftptp -s3 SYN099-1.g 
% Bugfixes : v1.2.0 - Bugfix in SYN086-1.
%          : v1.2.1 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
input_clause(m_s2_goal_1,conjecture,
    [--p_1_3(X)]).

input_clause(m_s2_type11_1,axiom,
    [++p_1_2(X),
     --p_2_2(X),
     --p_1_1(X)]).

input_clause(m_s2_type11_2,axiom,
    [++p_1_2(X),
     --q_2_2(X),
     --q_1_1(X)]).

input_clause(m_s2_type11_3,axiom,
    [++p_1_3(X),
     --p_2_3(X),
     --p_1_2(X)]).

input_clause(m_s2_type11_4,axiom,
    [++p_1_3(X),
     --q_2_3(X),
     --q_1_2(X)]).

input_clause(m_s2_type11_5,axiom,
    [++p_2_3(X),
     --p_3_3(X),
     --p_2_2(X)]).

input_clause(m_s2_type11_6,axiom,
    [++p_2_3(X),
     --q_3_3(X),
     --q_2_2(X)]).

input_clause(m_s2_type12_1,axiom,
    [++q_1_2(X),
     --p_2_2(X),
     --q_1_1(X)]).

input_clause(m_s2_type12_2,axiom,
    [++q_1_2(X),
     --q_2_2(X),
     --p_1_1(X)]).

input_clause(m_s2_type12_3,axiom,
    [++q_1_3(X),
     --p_2_3(X),
     --q_1_2(X)]).

input_clause(m_s2_type12_4,axiom,
    [++q_1_3(X),
     --q_2_3(X),
     --p_1_2(X)]).

input_clause(m_s2_type12_5,axiom,
    [++q_2_3(X),
     --p_3_3(X),
     --q_2_2(X)]).

input_clause(m_s2_type12_6,axiom,
    [++q_2_3(X),
     --q_3_3(X),
     --p_2_2(X)]).

input_clause(m_s2_type21_1,axiom,
    [++p_1_1(X),
     --p_1_2(X)]).

input_clause(m_s2_type21_2,axiom,
    [++q_1_1(X),
     --q_1_2(X)]).

input_clause(m_s2_type22_1,axiom,
    [++p_2_2(X),
     --p_1_2(X)]).

input_clause(m_s2_type22_2,axiom,
    [++p_3_3(X),
     --p_2_3(X)]).

input_clause(m_s2_type22_3,axiom,
    [++q_2_2(X),
     --q_1_2(X)]).

input_clause(m_s2_type22_4,axiom,
    [++q_3_3(X),
     --q_2_3(X)]).

input_clause(m_t2_1,axiom,
    [++p_1_1(a)]).

input_clause(m_t2_2,axiom,
    [++q_1_1(a)]).

input_clause(m_t2_3,axiom,
    [++p_2_2(a)]).

input_clause(m_t2_4,axiom,
    [++q_2_2(a)]).

input_clause(m_t2_5,axiom,
    [++p_3_3(a)]).

input_clause(m_t2_6,axiom,
    [++q_3_3(a)]).

input_clause(sym_m_s2_goal_1,axiom,
    [++sym_p_1_3(X)]).

input_clause(sym_m_s2_type11_1,axiom,
    [--sym_p_1_2(X),
     ++sym_p_2_2(X),
     ++sym_p_1_1(X)]).

input_clause(sym_m_s2_type11_2,axiom,
    [--sym_p_1_2(X),
     ++sym_q_2_2(X),
     ++sym_q_1_1(X)]).

input_clause(sym_m_s2_type11_3,axiom,
    [--sym_p_1_3(X),
     ++sym_p_2_3(X),
     ++sym_p_1_2(X)]).

input_clause(sym_m_s2_type11_4,axiom,
    [--sym_p_1_3(X),
     ++sym_q_2_3(X),
     ++sym_q_1_2(X)]).

input_clause(sym_m_s2_type11_5,axiom,
    [--sym_p_2_3(X),
     ++sym_p_3_3(X),
     ++sym_p_2_2(X)]).

input_clause(sym_m_s2_type11_6,axiom,
    [--sym_p_2_3(X),
     ++sym_q_3_3(X),
     ++sym_q_2_2(X)]).

input_clause(sym_m_s2_type12_1,axiom,
    [--sym_q_1_2(X),
     ++sym_p_2_2(X),
     ++sym_q_1_1(X)]).

input_clause(sym_m_s2_type12_2,axiom,
    [--sym_q_1_2(X),
     ++sym_q_2_2(X),
     ++sym_p_1_1(X)]).

input_clause(sym_m_s2_type12_3,axiom,
    [--sym_q_1_3(X),
     ++sym_p_2_3(X),
     ++sym_q_1_2(X)]).

input_clause(sym_m_s2_type12_4,axiom,
    [--sym_q_1_3(X),
     ++sym_q_2_3(X),
     ++sym_p_1_2(X)]).

input_clause(sym_m_s2_type12_5,axiom,
    [--sym_q_2_3(X),
     ++sym_p_3_3(X),
     ++sym_q_2_2(X)]).

input_clause(sym_m_s2_type12_6,axiom,
    [--sym_q_2_3(X),
     ++sym_q_3_3(X),
     ++sym_p_2_2(X)]).

input_clause(sym_m_s2_type21_1,axiom,
    [--sym_p_1_1(X),
     ++sym_p_1_2(X)]).

input_clause(sym_m_s2_type21_2,axiom,
    [--sym_q_1_1(X),
     ++sym_q_1_2(X)]).

input_clause(sym_m_s2_type22_1,axiom,
    [--sym_p_2_2(X),
     ++sym_p_1_2(X)]).

input_clause(sym_m_s2_type22_2,axiom,
    [--sym_p_3_3(X),
     ++sym_p_2_3(X)]).

input_clause(sym_m_s2_type22_3,axiom,
    [--sym_q_2_2(X),
     ++sym_q_1_2(X)]).

input_clause(sym_m_s2_type22_4,axiom,
    [--sym_q_3_3(X),
     ++sym_q_2_3(X)]).

input_clause(sym_m_t2_1,axiom,
    [--sym_p_1_1(a)]).

input_clause(sym_m_t2_2,axiom,
    [--sym_q_1_1(a)]).

input_clause(sym_m_t2_3,axiom,
    [--sym_p_2_2(a)]).

input_clause(sym_m_t2_4,axiom,
    [--sym_q_2_2(a)]).

input_clause(sym_m_t2_5,axiom,
    [--sym_p_3_3(a)]).

input_clause(sym_m_t2_6,axiom,
    [--sym_q_3_3(a)]).
%--------------------------------------------------------------------------
