%--------------------------------------------------------------------------
% File     : SYN332-1 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.14 (4)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch14N4 [Tammet, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   14 (   6 non-Horn;   0 unit;  11 RR)
%            Number of literals   :   34 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   28 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(X,Y),
     ++f(X,z(X,Y))]).

input_clause(clause2,conjecture,
    [++f(Y,X),
     ++f(X,z(X,Y))]).

input_clause(clause3,conjecture,
    [--f(X,Y),
     --f(Y,X),
     --f(X,z(X,Y))]).

input_clause(clause4,conjecture,
    [++f(X,z(X,Y)),
     --f(z(X,Y),X)]).

input_clause(clause5,conjecture,
    [--f(X,z(X,Y)),
     ++f(z(X,Y),X)]).

input_clause(clause6,conjecture,
    [++f(X,z(X,Y)),
     --f(Y,z(X,Y))]).

input_clause(clause7,conjecture,
    [--f(X,z(X,Y)),
     ++f(Y,z(X,Y))]).

input_clause(clause8,conjecture,
    [--f(Y,X),
     ++f(X,Y),
     --f(z(X,Y),z(X,Y))]).

input_clause(clause9,conjecture,
    [++f(Y,X),
     ++f(z(X,Y),z(X,Y))]).

input_clause(clause10,conjecture,
    [--f(X,Y),
     ++f(z(X,Y),z(X,Y))]).

input_clause(clause11,conjecture,
    [++f(X,Y),
     --f(Y,X),
     ++f(z(X,Y),Y)]).

input_clause(clause12,conjecture,
    [--f(X,Y),
     ++f(Y,X),
     ++f(z(X,Y),Y)]).

input_clause(clause13,conjecture,
    [++f(X,Y),
     ++f(Y,X),
     --f(z(X,Y),Y)]).

input_clause(clause14,conjecture,
    [--f(X,Y),
     --f(Y,X),
     --f(z(X,Y),Y)]).
%--------------------------------------------------------------------------
