%--------------------------------------------------------------------------
% File     : SYN334-1 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.14 (6)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch14N6 [Tammet, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   2 non-Horn;   0 unit;   5 RR)
%            Number of literals   :   17 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--f(X,Y),
     ++f(X,z(X,Y)),
     --g(Y,z(X,Y))]).

input_clause(clause2,conjecture,
    [--f(X,Y),
     --f(X,z(X,Y)),
     ++g(Y,z(X,Y))]).

input_clause(clause3,conjecture,
    [--f(z(X,Y),z(X,Y)),
     ++g(z(X,Y),z(X,Y)),
     --f(X,Y)]).

input_clause(clause4,conjecture,
    [++f(z(X,Y),z(X,Y)),
     ++f(X,Y)]).

input_clause(clause5,conjecture,
    [--g(z(X,Y),z(X,Y)),
     ++f(X,Y)]).

input_clause(clause6,conjecture,
    [++g(X,Y),
     ++g(z(X,Y),z(X,Y))]).

input_clause(clause7,conjecture,
    [--g(X,Y),
     --g(z(X,Y),z(X,Y))]).
%--------------------------------------------------------------------------
