%--------------------------------------------------------------------------
% File     : SYN347-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Syntactic
% Problem  : Church problem 46.17 (3)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch17N3 [Tammet, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   4 non-Horn;   0 unit;   4 RR)
%            Number of literals   :   16 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   12 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
% Bugfixes : v1.2.1 - Clause clause4 fixed.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(X1,y(X1,X2)),
     --f(X2,y(X1,X2)),
     ++f(a,b)]).

input_clause(clause2,conjecture,
    [--f(X1,y(X1,X2)),
     ++f(X2,y(X1,X2)),
     ++f(a,b)]).

input_clause(clause3,conjecture,
    [--f(X1,y(X1,X2)),
     --f(X2,y(X1,X2)),
     --f(a,b)]).

input_clause(clause4,conjecture,
    [++f(X1,y(X1,X2)),
     ++f(X2,y(X1,X2)),
     --f(a,b)]).

input_clause(clause5,conjecture,
    [++f(a,y(X1,X2)),
     ++f(b,y(X1,X2))]).

input_clause(clause6,conjecture,
    [--f(a,y(X1,X2)),
     --f(b,y(X1,X2))]).
%--------------------------------------------------------------------------
