%--------------------------------------------------------------------------
% File     : SYN348-1 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.17 (4)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch17N4 [Tammet, 1994]

% Status   : satisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   16 (  15 non-Horn;   0 unit;  15 RR)
%            Number of literals   :   96 (   0 equality)
%            Maximal clause size  :    6 (   6 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   0 constant; 1-2 arity)
%            Number of variables  :   32 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     ++f(g(X,Y),X),
     --f(w(X),g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause2,conjecture,
    [--f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     ++f(g(X,Y),X),
     ++f(w(X),g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause3,conjecture,
    [++f(X,g(X,Y)),
     --f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     ++f(g(X,Y),X),
     ++f(w(X),g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause4,conjecture,
    [++f(X,g(X,Y)),
     --f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     ++f(g(X,Y),X),
     --f(w(X),g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause5,conjecture,
    [++f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     ++f(g(X,Y),X),
     ++f(w(X),g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause6,conjecture,
    [++f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     ++f(g(X,Y),X),
     --f(w(X),g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause7,conjecture,
    [--f(X,g(X,Y)),
     --f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     ++f(g(X,Y),X),
     --f(w(X),g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause8,conjecture,
    [--f(X,g(X,Y)),
     --f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     ++f(g(X,Y),X),
     ++f(w(X),g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause9,conjecture,
    [--f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     --f(g(X,Y),X),
     ++f(w(X),g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause10,conjecture,
    [--f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     --f(g(X,Y),X),
     --f(w(X),g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause11,conjecture,
    [++f(X,g(X,Y)),
     --f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     --f(g(X,Y),X),
     --f(w(X),g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause12,conjecture,
    [++f(X,g(X,Y)),
     --f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     --f(g(X,Y),X),
     ++f(w(X),g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause13,conjecture,
    [++f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     --f(g(X,Y),X),
     --f(w(X),g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause14,conjecture,
    [++f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     --f(g(X,Y),X),
     ++f(w(X),g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause15,conjecture,
    [--f(X,g(X,Y)),
     --f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     --f(g(X,Y),X),
     ++f(w(X),g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause16,conjecture,
    [--f(X,g(X,Y)),
     --f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     --f(g(X,Y),X),
     --f(w(X),g(X,Y)),
     --f(g(X,Y),w(X))]).
%--------------------------------------------------------------------------
