%--------------------------------------------------------------------------
% File     : SYN415+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Kalish and Montague Problem 317
% Version  : Special.
% English  : 

% Refs     : Kalish D., Montague R. (1964), Logic Techniques of Formal 
%            Reasoning, Harcourt, Brace & World Publisher.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe
% Source   : [Haehnle, 1994]
% Names    : kalish317 [Haehnle, 1994]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    5 (   1 unit)
%            Number of atoms       :   16 (   9 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   11 (   0 ~  ;   0  |;   5  &)
%                                         (   1 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   13 (   1 singleton;  11 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(f_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & f(A) )
     => f(B) )   )).

%----Problem axioms
input_formula(kalish317,conjecture,(
    ( ? [X] : f(X)
    & ! [Y,Z] : 
        ( ( f(Y)
          & f(Z) )
       => equal(Y,Z) ) )
<=> ? [U] : 
      ( f(U)
      & ! [V] : 
          ( f(V)
         => equal(U,V) ) )   )).
%--------------------------------------------------------------------------
