%--------------------------------------------------------------------------
% File     : TOP017-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Topology
% Problem  : If the boundary of A is empty, A is both open and closed
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : 

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about 
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255.
% Source   : [Wick & McCune, 1989]
% Names    : Problem 12 [Wick & McCune, 1989]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  114 (  25 non-Horn;   2 unit; 109 RR)
%            Number of literals   :  345 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   22 (   0 propositional; 1-4 arity)
%            Number of functors   :   38 (   4 constant; 0-5 arity)
%            Number of variables  :  357 (  56 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_12_154,conjecture,
    [++topological_space(cx,ct)]).

input_clause(problem_12_155,conjecture,
    [++subset_sets(a,cx)]).

input_clause(problem_12_156,conjecture,
    [++equal_sets(boundary(a,cx,ct),empty_set),
     ++open(a,cx,ct)]).

input_clause(problem_12_157,conjecture,
    [++equal_sets(boundary(a,cx,ct),empty_set),
     ++closed(a,cx,ct)]).

input_clause(problem_12_158,conjecture,
    [--equal_sets(boundary(a,cx,ct),empty_set),
     --open(a,cx,ct),
     --closed(a,cx,ct)]).
%--------------------------------------------------------------------------
